<?php
session_start();
require_once 'db.php';
$db = new Db();

if(isset($_SESSION['odobren']) && $_SESSION['odobren']) {
    if(isset($_GET['prikazi'])) {
        if(isset($_GET['knjiga'])) {
            echo $db->dajSadrzaj(null, $_GET['knjiga']);
        }
        elseif(isset($_GET['pisac'])) {
            echo $db->dajSadrzaj($_GET['pisac'], null);
        }
        else {
            echo $db->dajSadrzaj(null, null);
        }
        return;
    }
    echo "Dobrodosli, " . $_SESSION['ime']. " " . $_SESSION['prezime'];


?>
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
    </head>
    <body style="width: 600px; margin: auto;" onload="prikazi(0)">
        <h2>Pretraga biblioteke</h2>
        <br>Pisac:<input id="pisac" type="text" onkeyup="prikazi(1)">
        Knjiga:<input id="knjiga" type="text" onkeyup="prikazi(2)">
        
        <table id="tabela" border="1">
            
            
        </table>
        
    </body>
    
<?php
}
?>

    <script>
    function prikazi(ind)
    {
        var pisacFilter = document.getElementById('pisac').value;
        var knjigaFilter = document.getElementById('knjiga').value;
        var tabela = document.getElementById('tabela');
        
        var x = new XMLHttpRequest();
        x.onreadystatechange = function()
        {
            if(x.readyState == 4 && x.status == 200)
            {
                var string = "";
                var pisci = JSON.parse(x.responseText);
                
                for (i = 0; i < pisci.length; i++)
                {
                    for (j = 0; j < pisci[i].knjige.length; j++)
                    {
                        string += "<tr><td>";
                        string += pisci[i].knjige[j].naslov;
                        string += "</td>";
                        string += "<td rowspan='"+ pisci[i].knjige.length +"'>";
                        string += pisci[i].imePrezime;
                        string += "</td></tr>";
                    }
                    //string += "<td>";
                    //string += "<td rowspan='"+ pisci[i].knjige.length +"'>";
                    //string += pisci[i].imePrezime;
                    //string += "</td>";
                    //string += "</tr>";
                }
                tabela.innerHTML = string;
            }
            
        };
        
        if(ind == 0)
        {
            x.open("GET","index.php?prikazi",true);
        }
        if(ind == 1)
        {
            x.open("GET","index.php?prikazi&pisac="+pisacFilter,true);
        }
        if(ind == 2)
        {
            x.open("GET","index.php?prikazi&knjiga="+knjigaFilter,true);
        }
        x.send();
    }
    </script>
</html>
