<?php


    class Db
    {
        const hostname="localhost";
        const dbname="biblioteka";
        const username="root";
        const password="";
        
        private $dbh;
        
        public function __construct() {
            $connStr="mysql:host=".self::hostname;
            $connStr.=";dbname=".self::dbname;
            $this->dbh=new PDO($connStr,self::username,self::password);
        }
        
        public function __destruct() {
            $this->dbh=null;
        }
        
        public function Pisci($pisac=null)
        {
            if(!$pisac)
                $sql="select * from pisac";
            else
                $sql="select * from pisac where ime like %'$pisac'% or prezime like %'$pisac'%";
            $result=$this->dbh->query($sql);
            $pisci=$result->fetchAll(PDO::FETCH_ASSOC);
            return $pisci;
        }
        
        public function Login($ime,$prezime)
        {
            $sql="select * from pisac where ime='$ime' and prezime='$prezime'";
            $result=$this->dbh->query($sql);
            $pisac=$result->fetch(PDO::FETCH_ASSOC);
            return ($pisac ? true : false);
        }
        
        function knjigeOdPisca($id)
        {
            $sql="select * from knjiga where pisac_id=$id";
            $result=$this->dbh->query($sql);
            $knjige=$result->fetchAll(PDO::FETCH_ASSOC);
            return $knjige;
            
        }
        
        function JSONKnjige($pisac=null)
        {
            $pisci=$this->Pisci();
                
            
            foreach($pisci as $pisac)
            {
                $knjige=$db->knjigeOdPisca($pisac['id']);
                if($knjige)
                {
                    foreach($knjige as $knjiga)
                    {
                        $punoIme=$pisac['ime']." ".$pisac['prezime'];
                        $object=new Knjiga($knjiga['naslov'],$punoIme);
                        $objects[]=$object;
                    }
                }
            }
            
            
            return json_encode($objects);
        }
    }
    
    
    class Knjiga
    {
        public $naslov;
        public $pisac;
        
        public function __construct($naslov,$pisac) 
        {
            $this->naslov=$naslov;
            $this->pisac=$pisac;
        }
    }
    
    function isAdmin($ime)
    {
        $sql="select * from pisac where ime='$ime' and uloga='admin'";
        $result=$this->dbh->query($sql);
        $pisac=$result->fetch(PDO::FETCH_ASSOC);
        return ($pisac ? true : false);
    }

?>
