<?php
session_start();

require_once './db.php';
$db=new Db();



if(!isset($_SESSION['ulogovan']))
{
    header("location: login.php");
}

if(isset($_GET['logout']))
{
    setcookie("ime", time()-1);
    setcookie("prezime", time()-1);
    
    session_destroy();
    
    header("location: login.php");
}


if(isset($_GET['dajKnjige']))
{
   if(isset($_GET['pisac']))
   {
         echo $db->pretragaPisac($_GET['pisac']);
         return;
   }
   else
   if(isset($_GET['knjiga']))
   {
         echo $db->pretragaNaslov($_GET['knjiga']);
         return;
   }
 else {
   
       echo $db->pretragaNaslov("");
         return;
   }
   
}

if(isset($_GET['obrisi']))
{
    $db->obrisi($_GET['obrisi']);
}
?>

<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
        <script>
    
    function obrisi(id)
    {
        window.location = "index.php?obrisi="+id;
    }
    
    function posaljiZahtev()
    {
        var pisac=document.getElementById("pisac").value;
        var knjiga = document.getElementById("knjiga").value;
        
        var xhttp = new XMLHttpRequest();
        xhttp.onreadystatechange = function() {
        if (this.readyState == 4 && this.status == 200) {
            sveKnjige = JSON.parse(this.responseText);
            sadrzaj = "";
            for(i = 0; i < sveKnjige.length; i++)
            {
                sadrzaj += "<tr><td>"+sveKnjige[i].naslov+"</td>";
                sadrzaj += "<td>" + sveKnjige[i].autor +"</td>";
                if(sveKnjige[i].uloga=="admin")
                {
                    sadrzaj+="<td><button onclick='obrisi("+sveKnjige[i].id+")'>Obrisi</button></td>";
                }
                
                
                sadrzaj+="</tr>";
                
            }
            
            document.getElementById("tabela").innerHTML = sadrzaj;
            
            
            if(pisac!="")
                xhttp.open("GET", "index.php?dajKnjige=1&pisac="+pisac, true);
            else if(knjiga!="")
                xhttp.open("GET", "index.php?dajKnjige=1&knjiga="+knjiga, true);
               
            xhttp.send();
           
            }
        }
     }
        

    </script>
    </head>
    <body onload="posaljiZahtev();">
        <p>Dobrodosli, <?php
        
        $kor = $db->dajKorisnika($_SESSION['ulogovan']);
        echo "<b>".$kor['ime']." ".$kor['prezime']."!</b>";
        
        ?></p>
        <a href="index.php?logout">Odjavi se</a>
        <h1>Pretraga biblioteke</h1>
        Pisac: <input onkeyup="posaljiZahtev()" type="text" name="pisac" value=""> 
        Knjiga:<input onkeyup="posaljiZahtev()" type="text" name="knjiga" value="">
        
        
        <table id="tabela"></table>
       <?php 
       echo $db->pretragaNaslov("");
       echo $db->pretragaPisac("");
       
       ?>
    </body>
    
    
</html>
