
<?php
require_once 'Knjiga.php';
class Db
{
    private static $user = "root";
    private static $pass = "";
    private static $base = "biblioteka";
    private static $host = "localhost";
    
    public $dbh;
    
    public function __construct() {
        $connstr = "mysql:host=".self::$host.";dbname=".self::$base;
        $this->dbh = new PDO($connstr,self::$user,self::$pass);
    }
    public function __destruct() {
        $this->dbh = null;
    }
    
    public function dajPisce()
    {
        $sql = "select * from pisac";
        $res = $this->dbh->query($sql);
        $rows = $res->fetchAll(PDO::FETCH_ASSOC);
        
        return $rows;
    }
    
    public function Login($username,$password)
    {
        $sql = "select * from pisac where ime='$username' and prezime='$password'";
        $res = $this->dbh->query($sql);
        $row = $res->fetch(PDO::FETCH_ASSOC);
        
        return $row;
    }
    
    public function pretragaPisac($pisac)
    {
        $sql = "select * from pisac p join knjiga k on p.id=k.pisac_id where p.ime like '%$pisac%' or prezime like '%$pisac%'";
        $res = $this->dbh->query($sql);
        $pisci = $res->fetchAll(PDO::FETCH_ASSOC);
        
        $p =[];
        foreach ($pisci as $pisac)
        {
            $p[] = new Knjiga($pisac['naslov'], $pisac['ime'], $pisac['prezime']);
        }
        
        return json_encode($p);
    }
    public function pretragaKnjiga($knjiga)
    {
        $sql = "select * from pisac p join knjiga k on p.id=k.pisac_id where k.naslov like '%$knjiga%'";
        $res = $this->dbh->query($sql);
        $pisci = $res->fetchAll(PDO::FETCH_ASSOC);
        
        $p =[];
        foreach ($pisci as $pisac)
        {
            $p[] = new Knjiga($pisac['naslov'], $pisac['ime'], $pisac['prezime']);
        }
        
        return json_encode($p);
    }
    
    public function dajSveKnjige()
    {
        
        $sql = "select * from pisac p join knjiga k on p.id=k.pisac_id";
        $res = $this->dbh->query($sql);
        $pisci = $res->fetchAll(PDO::FETCH_ASSOC);
        
        $p =[];
        foreach ($pisci as $pisac)
        {
            $p[] = new Knjiga($pisac['naslov'], $pisac['ime'], $pisac['prezime']);
        }
        
        return json_encode($p);
    }
}

?>
