<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of db
 *
 * @author student
 */
class Pisac{
    public $id;
    public $ime;
    public $prezime;
    public $uloga;
    
    function __construct($id,$ime,$prezime,$uloga) {
        $this->id=$id;
        $this->ime=$ime;
        $this->prezime=$prezime;
        $this->uloga=$uloga;
    }
    
}

class Knjiga{
    public $naziv;
    public $pisac;
    
    function __construct($naziv,$pisac) {
        $this->naziv=$naziv;
        $this->pisac=$pisac;
}
    
}

class db {
    
    const host = "localhost";
    const dbname = "biblioteka";
    const user = "root";
    const pass = "";
    
    private $db;
    
    function __construct() {
        try{
            $str = "mysql:host=".self::host.";dbname=".self::dbname;
            $this->db = new PDO($str,self::user,self::pass);
        } catch (Exception $ex) {
            die("Greska pri konekciji sa bazom!");
        }
    }
    
    function __destruct() {
        $this->db=null;
    }
    
    function dajPisce()
    {
        $sql = "select * from pisac";
        return $this->db->query($sql)->fetchAll(PDO::FETCH_ASSOC);
    }
    
    function pisacPremID($id)
    {
        $sql = "select * from pisac where id = $id";
        
        $rez = $this->db->query($sql)->fetch(PDO::FETCH_ASSOC);
        
           $pisac = new Pisac($rez['id'], $rez['ime'], $rez['prezime'], $rez['uloga']);
           
         return json_encode($pisac);
        //   return $rez;
    }
    
    function knjigePoPiscu($svojsvo=null)            
    {
        $pisac = "select * from pisac where ime like '%$svojsvo%' or prezime like '%$svojsvo%'";
        $rez = $this->db->query($pisac)->fetch(PDO::FETCH_ASSOC);
        $idP = $rez['id'];
        $sql = "select * from knjiga where pisac_id=$idP";
        $rez2 = $this->db->query($sql)->fetchAll(PDO::FETCH_ASSOC);
        
        $nizKnjiga = [];
        
        foreach ($rez2 as $k)
        {
            $naziv= $k['naslov'];
            $ime = $pisac['ime'];
            
            $nizKnjiga = new Knjiga($naziv, $ime);
        }
                
            return json_encode($nizKnjiga);
        
    }
    
    function dajImePisca($id)
    {
        $sql="select * from pisac where id=$id";
        return $this->db->query($sql)->fetch(PDO::FETCH_ASSOC);
    }
    
    
    
    function knjigePoNazivu($svojstvo=null)
    {
        $knjige = "select * from knjige where  naslov like '%$svojstvo%'";
        $knjige = $this->db->query($knjige)->fetchAll(PDO::FETCH_ASSOC);
        $nizKnjiga = [];
        
        foreach ($knjige as $knjiga)
        {
            $naslov = $knjiga['naslov'];
            $pisac = $this->dajImePisca($knjiga['pisac_id']);
            $pisac= $pisac['ime'];
            
            $nizKnjiga[] = new Knjiga($naslov, $pisac);
            
        }
        
        return json_encode($nizKnjiga);
    }
    
    function  imePrezimePisac($ime,$prezime=null)
    {
        $sql = "select * from pisac where ime='$ime' and prezime='$prezime'";
        return $this->db->query($sql)->fetch(PDO::FETCH_ASSOC);
    }
    
    function obrisiPisca($ime)
    {
        $pisac = $this->imePrezimePisac($ime);
        $id = $pisac['id'];
        
        $sql = "delete from knjige where pisac_id=$id";
        $this->db->exec($sql);
        
        $sql2 = "delete from pisac where id=$id";
        $this->db->exec($sql2);
    }
}
