<?php

    class Pisac
    {
        public $id;
        public $ime;
        public $prezime;
        
        public function __construct($id, $ime, $prezime) {
            $this->id = $id;
            $this->ime = $ime;
            $this->prezime = $prezime;
        }
        
    }

    class Knjiga
    {
        public $id;
        public $naslov;
        public $imePisca;
        
        public function __construct($id, $naslov, $imePisca) {
            $this->id = $id;
            $this->imePisca = $imePisca;
            $this->naslov = $naslov;
        }
    }

    class BibliotekaDB
    {
        const host = "localhost";
        const dbname = "biblioteka";
        const user = "root";
        const password = "";
        
        private $dbh;
        
        public function __construct() {
            $connStr = "mysql:host=" . self::host . ";dbname=" . self::dbname;
            $this->dbh = new PDO($connStr, self::user, self::password);
        }
        
        public function uzmiSvePisce()
        {
            $sql = "select * from pisac";
            $res = $this->dbh->query($sql);
            return $res->fetchAll(PDO::FETCH_ASSOC);
        }
        public function uzmiPiscaPoID($id)
        {
            $sql = "select * from pisac where id=$id";
            $res = $this->dbh->query($sql);
            return $res->fetch(PDO::FETCH_ASSOC);
            
        }
        
        public function proveriKorisnika($username, $password)
        {
            $sql = "select * from pisac where ime='$username' and prezime='$password'";
            $res = $this->dbh->query($sql);
            return $res->fetch(PDO::FETCH_ASSOC);
        }
        
        public function pretraziPoPiscima($kriterijum='')
        {
            $sql = "select * from knjiga";
         
            if($kriterijum)
            {
                $sql .= " where pisac_id=$kriterijum";
            }
           
            $res = $this->dbh->query($sql);
            $knjige = $res->fetchAll(PDO::FETCH_ASSOC);
            
            $niz = [];
            
            foreach ($knjige as $k)
            {
                
                $niz[] = new Knjiga($k['id'], $k['naslov'], $k['pisac_id']);
            }
            
            return json_encode($niz);
            
        }
        
        
        
        public function pretraziKnjige($kriterijum='')
        {
            $sql = "select * from knjiga";
         
            if($kriterijum)
            {
                $sql .= " where naslov='$kriterijum'";
            }
           
            $res = $this->dbh->query($sql);
            $knjige = $res->fetchAll(PDO::FETCH_ASSOC);
            
            $niz = [];
            
            foreach ($knjige as $k)
            {
                $niz[] = new Knjiga($k['id'], $k['naslov']);
            }
            
            return json_encode($niz);
            
        }
    }

?>