<?php

    class Knjiga
    {
        public $id;
        public $naslov;
   
        function __construct($id, $naslov) {
            $this->id = $id;
            $this->naslov = $naslov;
        }
    }
    
    class Pisac
    {
        public $id;
        public $ime;
        public $prezime;
        public $knjige;
        
        function __construct($id, $ime, $prezime, $knjige) {
            $this->id = $id;
            $this->ime =$ime;
            $this->prezime = $prezime;
            $this->knjige = $knjige;
        }
        
    }
    
    
    class Biblioteka_db
    {
        const hostname="localhost";
        const base="biblioteka";
        const username="root";
        const password= "";
        private $db;
        
        function __construct() {
            $kon_string = "mysql:host=".self::hostname.";dbname=".self::base;
            $this->db = new PDO($kon_string, self::username, self::password);
        }
        
        public function __destruct() {
            $this->db = null;
        }
        
        function dajSvePisce()
        {
            $sql = "select * from pisac";
            $res = $this->db->query($sql);
            return $res->fetchAll(PDO::FETCH_ASSOC);
        }
        
        function proveriKorisnika($u, $p)
        {
            $sql = "select * from pisac where ime='$u' and prezime='$p'";
            $res = $this->db->query($sql);
            return $res->fetch(PDO::FETCH_ASSOC);
        }
        
        function pretraziPoHe()
        {
            $sql = "select k.id as 'knjigaID', p.id as 'pisacID', k.naslov as 'naslov', p.ime as 'ime', p.prezime as 'prezime' from pisac p join knjiga k on p.id=k.pisac_id";
            $res = $this->db->query($sql);
            return $res->fetchAll(PDO::FETCH_ASSOC);
        }
        function pretraziPo($pisac =null, $knjiga=null)
        {
            $niz []= explode(" ", $pisac);
            $ime = $niz[0];
            if(count($niz) > 1)
                $prezime =$niz[1];
            if($pisac != null && $knjiga != null)
            {
                if($ime != "" && $prezime != "")
                    $sql = "select k.id as 'knjigaID', p.id as 'pisacID', k.naslov as 'naslov', p.ime as 'ime', p.prezime as 'prezime' from pisac p join knjiga k on p.id=k.pisac_id where p.ime like '%$ime%' and p.prezime like '%$prezime%' and k.naslov like '%$knjiga%'";
                else if($ime != " ")
                    $sql = "select k.id as 'knjigaID', p.id as 'pisacID', k.naslov as 'naslov', p.ime as 'ime', p.prezime as 'prezime' from pisac p join knjiga k on p.id=k.pisac_id where p.ime like '%$ime%' and k.naslov like '%$knjiga%'";
            }
            else
            {
                $sql = "select k.id as 'knjigaID', p.id as 'pisacID', k.naslov as 'naslov', p.ime as 'ime', p.prezime as 'prezime' from pisac p join knjiga k on p.id=k.pisac_id";
            }
            
            $res = $this->db->query($sql);
            $niz = $res->fetchAll(PDO::FETCH_ASSOC);
            $sve = [];
            foreach ($niz as $n)
            {
                $knjiga_id = $n['knjigaID'];
                $naslov = $n['naslov'];
                $nizKnjiga = [];
                $nizKnjiga = new Knjiga($knjiga_id, $naslov);
                $sve= new Pisac($n['pisacID'], $n['ime'], $n['prezime'], $nizKnjiga);
               return json_encode($sve);
            }
        }
        
        function obrisiKnjige($pisacID)
        {
            $sql = "delete from knjiga where pisac_ID=$pisacID";
            $res = $this->db->exec($sql);
            if($res)
            {
                $sql = "delete from pisac where id=$pisacID";
                $res = $this->db->exec($sql);
                echo "orbisano";
            }
        }
        
        function dajPisacaPoId($id)
        {
            $sql =  "select * from pisac where id=$id";
            $res = $this->db->query($sql);
            return $res->fetch(PDO::FETCH_ASSOC);
        }
    }
