<?php

class Knjiga{
    public $naslov;
    public $pisac;

    function __construct($naslov, $pisac){
        $this->naslov = $naslov;
        $this->pisac = $pisac;
    }
}

class BibliotekaDB{
    const host = "localhost";
    const dbname = "biblioteka";
    const user = "root";
    const pass = "";

    private $dbh;

    function __construct(){
        $str = "mysql:hostname=".self::host.";dbname=".self::dbname;
        $this->dbh = new PDO($str, self::user, self::pass);
    }

    function __destruct(){
        $this->dbh = null;
    }

    function getPisci(){
        $sql = "select * from pisac";
        $query = $this->dbh->query($sql);
        return $query->fetchAll(PDO::FETCH_ASSOC);
    }

    function login($user, $pass){
        $sql = "select * from pisac where ime='$user' and prezime='$pass'";
        $query = $this->dbh->query($sql);
        return $query->fetchAll(PDO::FETCH_ASSOC);
    }

    function format($input){
        $niz = [];
        foreach($input as $i){
            $k = new Knjiga($i['naslov'], $i['pisac']);
            $niz[] = $k;
        }
        return json_encode($niz);
    }

    function poPiscu($ime){
        try{
            $sql = "select naslov, ime, prezime from knjiga";
            $sql.= "join pisac on knjiga.pisac_id = pisac.id";
            $sql.= "where (ime+' '+prezime) like '%$ime%'";

            $query = $this->dbh->query($sql);
            $res = $query->fetchAll(PDO::FETCH_ASSOC);
            return $this->format($res);
        }catch(PDOException $e){
            echo $e;
            die();
        }
    }
	
	function poKnjizi($naslov){
        try{
            $sql = "select naslov, ime, prezime from knjiga";
            $sql.= "join pisac on knjiga.pisac_id = pisac.id";
            $sql.= "where naslov like '%$naslov%'";

            $query = $this->dbh->query($sql);
            $res = $query->fetchAll(PDO::FETCH_ASSOC);
            return $this->format($res);
        }catch(PDOException $e){
            echo $e;
            die();
        }
    }

    function getKnjige(){
        $sql = "select naslov, ime, prezime from knjiga join pisac on knjiga.pisac_id = pisac.id";
        $query = $this->dbh->query($sql);
        return $query->fetchAll(PDO::FETCH_ASSOC);
    }
}

?>