<?php
session_start();
require_once 'db.php';
$db = new Db();

if(!isset($_SESSION['id']))
{
    header("Location: login.php");
}

if(isset($_GET['logout']))
{
    setcookie("username", "", time()-1);
    setcookie("password", "", time()-1);
    session_destroy();
    header("Location: login.php ");
}

if(isset($_GET['knjige']))
{
    echo $db->dajListuKnjiga();
    return;
}

if(isset($_GET['Ppisac']))
{
    echo $db->pretragaPoPiscu($_GET['ime']);
    return;
}

if(isset($_GET['Pknjiga']))
{
    echo $db->pretragaPoKnjizi($_GET['naslov']);
    return;
}

?>

<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
    </head>
    <body onload="ucitaj()">
        <?php
         $pisac = $db->dajPisca($_SESSION['id']);
         echo "<h3>Dobrodosli, ".$pisac['ime']." ".$pisac['prezime']."!";
        ?>
        
       
        <h3>
            Pretraga biblioteke
        </h3>
        
        Pisac:
        <input type="text" name="pretragaPisac" id="pretragaPisac" onkeyup="pretraga(1)">
        Knjiga:
        <input type="text" name="pretragaKnjiga" id="pretragaKnjiga" onkeyup="pretraga(2)">
        <br>
        
        <table id="tabela" border = "1px solid black">
            
        </table>
        
        <br>
        <form>
        <input type="submit" name="logout" value="LOGOUT">
        </form>
        
         
    </body>
</html>


<script>
    
    function pretraga(tip)
    {
        if(tip==1)
        {
            document.getElementById('pretragaKnjiga').value ="";
            pretraga = document.getElementById('pretragaPisac').value;
        }
        else
        {
            document.getElementById('pretragaPisac').value ="";
            pretraga = document.getElementById('pretragaKnjiga').value;
        }
        var x = new XMLHttpRequest();
        x.onreadystatechange = function()
        {
          if(x.readyState == 4 && x.status == 200)
          {
              pisci = JSON.parse(x.responseText);
              str = "";
              for(i=0; i<pisci.length;i++)
              {
                  knjige = pisci[i].knjige;
                  
                  for(j=0; j<knjige.length;j++)
                  {
                          str += "<tr>";
                          str += "<td>";
                              str += knjige[j].naslov;
                          str += "</td>";
                          if(j==0)
                          {
                          str += "<td rowspan="+knjige.length+">";
                              str += pisci[i].ime+" "+pisci[i].prezime;
                          str += "</td>";
                          
                          <?php
                            $pisac = $db->dajPisca($_SESSION['id']);
                            if($pisac['uloga'] == 'admin')
                            {
                          ?>
                          
                              str += "<td rowspan="+knjige.length+">";
                              str += "<input type='submit' name='obrisiPisca' value='X'> ";
                              str += "</td>";
                          <?php
                            }
                            ?>
                          }
                  }
                          
                    str += "</tr>";
                  
              }
              document.getElementById('tabela').innerHTML = str;
          }
        };
        if(tip == 1)
        {
            x.open("GET", "index.php?Ppisac&ime="+pretraga);
        }
        else 
        {
            x.open("GET", "index.php?Pknjiga&naslov="+pretraga);
        }
        x.send();
    }
    
    function ucitaj()
    {
        var x = new XMLHttpRequest();
        x.onreadystatechange = function()
        {
          if(x.readyState == 4 && x.status == 200)
          {
              pisci = JSON.parse(x.responseText);
              str = "";
              for(i=0; i<pisci.length;i++)
              {
                  knjige = pisci[i].knjige;
                  
                  for(j=0; j<knjige.length;j++)
                  {
                          str += "<tr>";
                          str += "<td>";
                              str += knjige[j].naslov;
                          str += "</td>";
                          if(j==0)
                          {
                          str += "<td rowspan="+knjige.length+">";
                              str += pisci[i].ime+" "+pisci[i].prezime;
                          str += "</td>";
                          
                          <?php
                            $pisac = $db->dajPisca($_SESSION['id']);
                            if($pisac['uloga'] == 'admin')
                            {
                          ?>
                          
                              str += "<td rowspan="+knjige.length+">";
                              str += "<input type='submit' name='obrisiPisca' value='X'> ";
                              str += "</td>";
                          <?php
                            }
                            ?>
                          }
                  }
                          
                    str += "</tr>";
                  
              }
              document.getElementById('tabela').innerHTML = str;
          }
        };
        x.open("GET", "index.php?knjige=");
        x.send();
    }

</script>