<?php

class Books {

    public $ime;
    public $prezime;
    public $naslov;

    public function __construct($ime, $prezime, $naslov) {
        $this->ime = $ime;
        $this->prezime = $prezime;
        $this->naslov = $naslov;
    }

}

class Db {

    const host = "localhost";
    const username = "root";
    const password = "";
    const dbName = "biblioteka";

    private $dbh;

    public function __construct() {
        try {
            $connStr = "mysql:host=" . self::host . ";dbname=" . self::dbName;
            $this->dbh = new PDO($connStr, self::username, self::password);
        } catch (Exception $ex) {
            die("Connection");
        }
    }

    public function __destruct() {
        $this->dbh = null;
    }

    public function login($username, $password) {
        try {
            $sql = "select * from pisac where ime = '$username' and prezime = '$password'";
            $res = $this->dbh->query($sql);
            if ($res->rowCount() == 1)
                return $res->fetch(PDO::FETCH_ASSOC);

            return false;
        } catch (Exception $ex) {
            die("Log in");
        }
    }

    public function getAllWriters() {
        try {
            $sql = "select * from pisac";
            $res = $this->dbh->query($sql);

            $result = $res->fetchAll(PDO::FETCH_ASSOC);

            return $result;
        } catch (Exception $ex) {
            die("Get all writers");
        }
    }

    public function getBoosByWriters($writerId, $book) {
        try {
            $sql = "select * from knjiga where pisac_id = $writerId";
            if ($book != "")
                $sql .= " and ime like '%$writer%' or prezime like '%$writer%'";

            $res = $this->dbh->query($sql);
            if ($res->rowCount()) {
                $result = $res->fetchAll(PDO::FETCH_ASSOC);

                return $result;
            }
            return NULL;
        } catch (Exception $ex) {
            die("Get writers");
        }
    }

    public function getWriters($writer, $book) {
        try {
            $sql = "select * from pisac";
            if ($writer != "")
                $sql .= " where ime like '%$writer%' or prezime like '%$writer%'";

            
            $res = $this->dbh->query($sql);

            $result = $res->fetchAll(PDO::FETCH_ASSOC);

            $return = [];
            foreach ($result as $wr) {
                $books = $this->getBoosByWriters($wr['id'], $book);
                if ($books)
                    foreach ($books as $bk) {
                        $resp = new Books($wr['ime'], $wr['prezime'], $bk['naslov']);
                        $return[] = $resp;
                    }
            }

            return json_encode($return);
        } catch (Exception $ex) {
            die("Get writers");
        }
    }

}

?>