<?php 
session_start();

if(!isset($_SESSION['authorization']))
    header("Location: login.php");

require_once 'db.php';
$db = new Db();
if(isset($_GET['writer']) || isset($_GET['book']))
{
    $wr = "";
    $bk = "";
    if(isset($_GET['writer']))
        $wr = $_GET['writer'];
    if(isset($_GET['book']))
        $bk = $_GET['book'];
    echo $db->getWriters($wr, $bk);
    return;
}

if(isset($_GET['logout']))
{
    session_destroy();
    $_SESSION['authorization'] = false;
    header("Location:login.php");
}

?>
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
    </head>
    <body onload="searchWriter()">
        <h3>Dobrodosli, <?php echo $_COOKIE['username'] ?></h3>
        <h1>Pretraga biblioteke</h1>
        Pisac:
        <input type="text" id="writer" onkeyup="searchWriter()">
        Knjiga: 
        <input type="text" id="book" onkeyup="searchWriter()">
        <?php
        ?>
        
            <a href="index.php?logout=1">Log out</a>
    </body>
    <script>
        function searchWriter()
        {
            var x = new XMLHttpRequest();
            x.onreadystatechange = function()
            {
                if(x.state === 4 && x.status === 200)
                {
                    var result = JSON.parse(x.responseText);
                    console.log(result);
                    var table = "";
                    for( var i =0 ;i< result.length; i++)
                    {
                        table+="<tr><td>"+result[i].naziv+"</td>";
                        table+="<td>"+result[i].ime+" "+result[i].prezime+"</td></tr>";
                    }
                    document.getElementById('table').innerHTML+=table;
                }
            }
            var writer= document.getElementById('writer').value;
            var book = document.getElementById('book').value;
            
            x.open('get','index.php?writer='+writer+'&book='+book);
            x.send();
        }
    </script>
</html>
