<?php

//datum je string

session_start();
/*if(!isset($_GET['autorizovan']))
{
    header("Location:login.php");
}*/
//$_SESSION['autorizovan'] = 1;

require_once 'db.php';
$db = new DB();
$korinik = $db->korPoId($_SESSION['autorizovan']);
$pisci = $db->dajSvePisce();

if(isset($_GET['logout']))
{
    header("Location:login.php");
}

if(isset($_GET['string']))
{
    echo $db->dajPoPiscu($_GET['string']);
    return;
}

//$db->dajPoPiscu("e")

?>

<html>
    <head>
        <meta charset="UTF-8">
        <title>Biblioteka</title>
    </head>
    <body>
        <b>Dobrodosli, <?php echo $korinik['ime']." ".$korinik['prezime'];?>! </b>
        <h2>Pretraga biblioteke</h2>
        
        Pisac: <input type="text" oninput="promenaPisca(this)"> Knjige: <input type="text" oninput="promenaKnjige(this)">
        
        <table border="1" id="tabela">
            <?php
            foreach ($pisci as $pisac) {
            ?>
            <tr>
                <?php $knjige = $db->dajKnjigePisca($pisac['id']);
                $vel = sizeof($knjige);
                ?>
                <td rowspan="<?php echo $vel;?>"><?php echo $pisac['ime']." ".$pisac['prezime']; ?></td>
                
                <?php foreach ($knjige as $k) {
                ?>
                <tr><td><?php echo $k['naslov'];?></td></tr>
                <?php
                    }        
                ?>
            </tr>
            <?php
            }
            ?>
        </table>
        <a href="index.php?logout=">Odjavi se</a>
        
    </body>
    <script>
        function promenaPisca(t)
        {
            str = t.value;
            
            var zahtev = new XMLHttpRequest();
            zahtev.onreadystatechange = function()
            {
                if(zahtev.readyState == 4 && zahtev.status == 200)
                {
                    //alert(JSON.parse(zahtev.responseText));
                    pisac = JSON.parse(zahtev.responseText);
                    //alert(pisac.ime);
                    tab = "";
                    for(i = 0; i < pisac.length; i++)
                    {
                        tab += "<tr><td>"+pisac[i].ime+"</td><tr>";
                    }
                    document.getElementById('tabela').innerHTML = tab;
                }
            };
            
            zahtev.open("GET", "index.php?string="+str, true);
            zahtev.send();
        }
    </script>
</html>
