<?php

require_once 'db.php';
$db = new DB();
$pisci = $db->dajSvePisce();


if(isset($_GET['idPisca']))
{
    echo $db->dajPiscaPoId($_GET['idPisca']);
    return;
}

//$korisnik = $db->proveriKorisnika('Ivo', 'Andric');
//echo $korisnik['id'];

$poruka = "";
if(isset($_GET['posalji']))
{
    if(trim($_GET['username']) == "" || trim($_GET['password']) == "")
    {
        $poruka = "Popunite sva polja.";
    }
    else
    {
        $ime = $_GET['username'];
        $pass = $_GET['password'];
        
        $korinik = $db->proveriKorisnika($ime, $pass);
        if($korinik)
        {
            session_start();
            $_SESSION['autorizovan'] = $korinik['id'];
            setcookie("user", $ime, time() + 86400 * 2, "/");
            if(isset($_GET['zapamti']))
            {
                setcookie("pass", $pass, time() + 86400 * 2, "/");
            }
            
            header("Location:index.php");
        }
        else
        {
            $poruka = "Losa kombinacija username/password";
        }
    }
}

?>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Log in</title>
    </head>
    <body>
        <?php
        foreach ($pisci as $pisac) {
        ?>
        <input type="radio" name="imePrezime" value="<?php echo $pisac['id'];?>" onchange="promenaPisca(this)" /><?php echo $pisac['ime']." ".$pisac['prezime']; ?><br />
        <?php
        }
        ?>
        
        <form>
            Username:
            <input type="text" name="username" id="un" value="<?php if(isset($_COOKIE['user'])) echo $_COOKIE['user']; ?>" /><br>
            Password:
            <input type="text" name="password" id="pass" value="<?php if(isset($_COOKIE['pass'])) echo $_COOKIE['pass']; ?>" /><br>
            Zapamti lozinku: <input type="checkbox" name="zapamti" />
            <input type="submit" name="posalji" value="Posalji">
        </form>
        <br />
        <p style="color: red"><?php echo $poruka;?></p>
    </body>
    
    <script>
        function promenaPisca(t)
        {
            pisac = t.value;
            //alert(pisac);
            
            var zahtev = new XMLHttpRequest();
            zahtev.onreadystatechange = function()
            {
                if(zahtev.readyState == 4 && zahtev.status == 200)
                {
                    pisac = JSON.parse(zahtev.responseText);
                    //alert(pisac.ime);
                    ime = pisac.ime;
                    prezime = pisac.prezime;
                    
                    //alert(ime + " " + prezime);
                    document.getElementById('un').value = ime;
                    document.getElementById('pass').value = prezime;
                    
                }
            };
            
            zahtev.open("GET", "login.php?idPisca="+pisac, true);
            zahtev.send();
        }
    </script>
</html>
