<?php
    class Pisac{
        public $ime;
        public $prezime;
        public $knjige;
        
        public function __construct($ime,$prezime,$knjige) {
            $this->ime=$ime;
            $this->prezime=$prezime;
            $this->knjige=$knjige;
        }
    }
    
    class Knjige{
        public $naslov;
        
        public function __construct($naslov) {
          $this->naslov=$naslov  ;
        }
    }

    class db{
        const user='root';
        const pass='';
        const db='biblioteka';
        const host='localhost';
        private $dbh;
        public function __construct() {
            try {      
            $conString="mysql: host=".self::host."; dbname=".self::db;
            $this->dbh=new PDO($conString, self::user, self::pass);
            } catch (Exception $exc) {
                echo $exc->getMessage();
            }
        }
        public function __destruct() {
            $this->dbh=NULL;
        }
        
        public function dajPisce()
        {
            $sql="select * from pisac";
            $res= $this->dbh->query($sql);
            return $res->fetchAll(PDO::FETCH_ASSOC);        
        }
        public function login($username,$pass)
        {
           $sql="select * from pisac where ime='$username' and prezime='$pass'";
            $res= $this->dbh->query($sql);
            return $res->fetch(PDO::FETCH_ASSOC);        
        }
        public function getPisacByID($id)
        {
            $sql="select * from pisac where id=$id";
            $res= $this->dbh->query($sql);
            return $res->fetch(PDO::FETCH_ASSOC);     
        }
        public function dajKnjigePisca($id)
        {
            $sql="select * from knjiga where pisac_id= $id";
            $res= $this->dbh->query($sql);
            return $res->fetchAll(PDO::FETCH_ASSOC);  
        }
        
        public function dajPicaByKnjigaID($id)
        {
            $sql="select * from knjiga where id= $id";
            $res= $this->dbh->query($sql);
            return $res->fetchAll(PDO::FETCH_ASSOC);  
        }
        
        public function dajPodatkeZaTabelu()
        {
            $sql="select * from pisac";
            $res= $this->dbh->query($sql);
            $pisci= $res->fetchAll(PDO::FETCH_ASSOC);  
            
            $niz_svega=[];
            foreach ($pisci as $pisac) {
                $ime=$pisac['ime'];
                $prezime=$pisac['prezime'];
                
                $knjige= $this->dajKnjigePisca($pisac['id']); //uzmi knjige pisca
                //print_r($knjige);
                $knjige_niz=[];
                foreach ($knjige as $knjiga)//prodji kroz knjige
                {
                    $naslov=$knjiga['naslov'];//uzmi naslov
                    $k=new Knjige($naslov);   
                    $knjige_niz[]=$k; //spakuj u niz
                }
                $p=new Pisac($ime,$prezime,$knjige_niz);
                $knjige_niz=[];
                $niz_svega[]=$p;
                
            }
            return json_encode($niz_svega);
        }
        public function dajPodatkeZaTabeluZaPisca($ukucan=null)
        {
            $sql="select * from pisac";
           
            if($ukucan!=null)
            {
                $sql.=" where ime like '%$ukucan%' or prezime like '%$ukucan%'";
            }
            //die($sql);
            $res= $this->dbh->query($sql);
            $pisci= $res->fetchAll(PDO::FETCH_ASSOC); 
            
            $niz_svega=[];
            foreach ($pisci as $pisac) {
                $ime=$pisac['ime'];
                $prezime=$pisac['prezime'];
                
                $knjige= $this->dajKnjigePisca($pisac['id']); //uzmi knjige pisca
                //print_r($knjige);
                $knjige_niz=[];
                foreach ($knjige as $knjiga)//prodji kroz knjige
                {
                    $naslov=$knjiga['naslov'];//uzmi naslov
                    $k=new Knjige($naslov);   
                    $knjige_niz[]=$k; //spakuj u niz
                }
                $p=new Pisac($ime,$prezime,$knjige_niz);
                $knjige_niz=[];
                $niz_svega[]=$p;
                
            }
            return json_encode($niz_svega);
        }
        public function brisanje($idknjige,$idpisca)
        {
            $this->dbh->beginTransaction();
            $sql="delete from pisci where id=$idpisca";
            $res=$this->dbh->exec($sql);
            $sql="delete from knjiga where pisac_id=$idpisca";
            $res=$this->dbh->exec($sql);
            $this->dbh->commit();
        }
        public function pretragapoNazivu($title=null){
            $sql="select * from knjiga where naslov like=$title";
            if($title!=null)
            {
                $sql.=" where naslov like='%$title%'";
            }
            $res= $this->dbh->query($sql);
            $knjige= $res->fetchAll(PDO::FETCH_ASSOC); 
            $niz_svega=[];
            foreach ($knjige as $knjiga)
            {
                $pisac=$this->dajPicaByKnjigaID($knjiga['ID']); //pisac
                $ime=$pisac['ime'];
                $prezime=$pisac['$prezime'];
                
                $sql="select * from knjiga where pisac_id=".$pisac['ID']."";
                $res= $this->dbh->query($sql);
                $knjigetogpisca= $res->fetchAll(PDO::FETCH_ASSOC); 
                $knjige_niz=[];
             /*   foreach ($knjigetogpisca as $knj) //prodji kroz knjige
                {
                    $naslov=$knj['naslov'];//uzmi naslov
                    $k=new Knjige($naslov);   
                    $knjige_niz[]=$k; //spakuj u niz
                }*/
                $p=new Pisac($ime,$prezime,$knjige_niz);
                $knjige_niz=[];
                $niz_svega[]=$p;
            }
            
        }
        
    }
   
    
?>
