
<?php
    session_start();
    if(!isset($_SESSION['prijavljen']))
        header("Location: login.php");
    
    require_once './db.php';
    $db = new Db();
    
    $korisnik = $db->DajPiscaByID($_SESSION['prijavljen']);
    
    
    if(isset($_GET['prikaziCeluTabelu']))
    {
        echo $db->dajCeluTabelu();
        return;
    }
    if(isset($_GET['PretraziZaPisca']))
    {
        echo $db->PretraziZaKupca($_GET['tekst']);
        return;
    }
    if(isset($_GET['PretraziZaKnjigu']))
    {
        echo $db->PretraziZaKnjigu($_GET['tekst']);
        return;
    }
    
    if(isset($_GET['obrisi']))
    {
        $db->obrisiKnjigu($_GET['obrisi']);
    }
?>
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
    </head>
    <body onload="Popuni();">
        
        <div style="width: 400px;">
        <p>Dobrodosli, <?php echo $korisnik['ime']." ".$korisnik['prezime']."!" ?></p>
        
        
        <h1 style="text-align: center;">Pretraga biblioteke</h1>
        
        Pisac:<input type="text" id="pisac" name="pisac" onclick="PromeniPisca();">
        Knjiga:<input type="text" id="knjiga" name="knjiga" onclick="PromeniKnjigu();"/><br><br>
        <input type="hidden" id="a" value="<?php echo $korisnik['ime']; ?>">
        <table id="tabela" border="1px solid black">
            
        </table>
        
        </div>
    </body>
    <script>
        function Popuni()
        {
           var kori = document.getElementById("a").value;
            var x = new XMLHttpRequest();
            x.onreadystatechange = function ()
            {
                if(x.readyState == 4 && x.status == 200)
                {
                    k = JSON.parse(x.responseText);
                    
                    s = "";
                    
                    for (var i = 0; i < k.length; i++) {
                         broj = k[i].knjige.length;
                         for (var j = 0; j < broj; j++) {
                             
                             s += "<tr><td>"+k[i].knjige[j].naslov+"</td>";
                             if(j == 0)
                             {
                                 s+= "<td rowspan="+broj+">"+k[i].ime+" "+k[i].prezime+"</td>";
                                 if(kori == "admin")
                                 {
                                     s+= "<td rowspan="+broj+"><button onclick='Obrisi("+k[i].id+")' style='background-color: red; color: white'>-</button></td></tr>";
                                 }
                                 s+="</tr>";
                             }
                             else
                                 s+= "</tr>";
                        }
                        
                    
                    }
                    document.getElementById("tabela").innerHTML = s;
                }
            };
            x.open("GET", "index.php?prikaziCeluTabelu=", true);
            x.send();
        }
        
        
        function PromeniPisca()
        {
            var tekst = document.getElementById("pisac").value;
            
            var x = new XMLHttpRequest();
            x.onreadystatechange = function ()
            {
                if(x.readyState == 4 && x.status == 200)
                {
                    k = JSON.parse(x.responseText);
                    
                    s = "";
                    
                    for (var i = 0; i < k.length; i++) {
                         broj = k[i].knjige.length;
                         for (var j = 0; j < broj; j++) {
                             
                             s += "<tr><td>"+k[i].knjige[j].naslov+"</td>";
                             if(j == 0)
                                 s+= "<td rowspan="+broj+">"+k[i].ime+" "+k[i].prezime+"</td></tr>";
                             else
                                 s+= "</tr>";
                        }
                        
                    
                    }
                    document.getElementById("tabela").innerHTML = s;
                }
            };
            x.open("GET", "index.php?PretraziZaPisca=&tekst="+tekst, true);
            x.send();
        }
        
        function PromeniKnjigu()
        {
            var tekst = document.getElementById("pisac").value;
            
            var x = new XMLHttpRequest();
            x.onreadystatechange = function ()
            {
                if(x.readyState == 4 && x.status == 200)
                {
                    k = JSON.parse(x.responseText);
                    
                    s = "";
                    
                    for (var i = 0; i < k.length; i++) {
                         broj = k[i].knjige.length;
                         for (var j = 0; j < broj; j++) {
                             
                             s += "<tr><td>"+k[i].knjige[j].naslov+"</td>";
                             if(j == 0)
                                 s+= "<td rowspan="+broj+">"+k[i].ime+" "+k[i].prezime+"</td></tr>";
                             else
                                 s+= "</tr>";
                        }
                        
                    
                    }
                    document.getElementById("tabela").innerHTML = s;
                }
            };
            x.open("GET", "index.php?PretraziZaKnjigu=&tekst="+tekst, true);
            x.send();
        }
        
        
        function Obrisi(v)
        {
            window.location.href = "index.php?obrisi="+v;
        }
        
    </script>
</html>
