<?php
class Pisac{
    public $id_pisca;
    public $ime_pisca;
    public $prezime_pisca;
    public $knjigep;
    
    function __construct($id_pisca, $ime_pisca, $prezime_pisca, $knjigep) {
        $this->id_pisca = $id_pisca;
        $this->knjigep = $knjigep;
        $this->ime_pisca = $ime_pisca;
        $this->prezime_pisca = $prezime_pisca;
        
    }
}

class Knjiga{
    public $id_knjige;
    public $naslov;
    public $dat_izdavanja;
    
    function __construct($id_knjige, $naslov, $dat_izdavanja) {
        $this->id_knjige = $id_knjige;
        $this->naslov = $naslov;
        $this->dat_izdavanja = $dat_izdavanja;
    }
}

class Db{
    const host = "localhost";
    const dbname = "biblioteka";
    const user = "root";
    const pass = "";
    
    private $dbh;
    
    function __construct() {
        try{
            $string = "mysql:host=".self::host.";dbname=".self::dbname;
            $this->dbh = new PDO($string, self::user, self::pass);
        }
        catch (PDOException $e){
            die($e->getMessage());
        }
    }
    
    function __destruct() {
        $this->dbh = null;
    }
    
    function dajSvePisce(){
        $sql = "select * from pisac";
        $upit = $this->dbh->query($sql);
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    function proveriKorisnika($user, $pass){
        $sql = "select * from pisac where ime='$user' and prezime='$pass'";
        $upit = $this->dbh->query($sql);
        return $upit->fetch(PDO::FETCH_ASSOC);
    }
    
    function dajPiscaById($id){
        $sql = "select * from pisac where id=$id";
        $upit = $this->dbh->query($sql);
        return $upit->fetch(PDO::FETCH_ASSOC);
    }
    
    function dajSveKnjige($naslov = null){
        $sql = "select * from pisac";
        $upit = $this->dbh->query($sql);
        $pisci = $upit->fetchAll(PDO::FETCH_ASSOC);
        
        
        $nizPisaca = [];
        
        foreach ($pisci as $pisac){
            $nizKnjiga = [];
            $id_pisca = $pisac['id'];
            $ime_pisca = $pisac['ime'];
            $prezime_pisca = $pisac['prezime'];
            
            $sql = "select * from knjiga where pisac_id=$id_pisca";
            if($naslov)
                $sql .=  " and naslov like '%$naslov%'";
            $upit = $this->dbh->query($sql);
            $knjige = $upit->fetchAll(PDO::FETCH_ASSOC);
            foreach($knjige as $knjiga){
                $id_knjige = $knjiga['id'];
                $naslov = $knjiga['naslov'];
                $dat_izdavanja = $knjiga['dat_izdavanja'];
                $nizKnjiga[] = new Knjiga($id_knjige, $naslov, $dat_izdavanja);
            }
            
            $nizPisaca[] = new Pisac($id_pisca, $ime_pisca, $prezime_pisca, $nizKnjiga);
        }
             
        return json_encode($nizPisaca);
    }
    
    function obrisiPisca($id){
        $sql = "delete from pisac where id=$id";
        $upit = $this->dbh->exec($sql);
   
        $sql = "delete from knjiga where pisac_id=$id";
        $upit = $this->dbh->exec($sql);
    }
}
?>

