<?php
    require_once 'db.php';
    $db = new Db();
    session_start();
    if(!isset($_SESSION['autorizovan']))
    {
        header("Location: login.php");
    }
    else
    {
        $user  = $db->getWriterById($_SESSION['autorizovan']);
        echo "<p><b>Dobrodosli, ".$user['ime']." ".$user['prezime']."!</b></p>";
    }
    
    if(isset($_GET['getBooks']))
    {
        if(isset($_GET['title']))
        {
            echo $db->getBooks($_GET['title']);
            //echo $db->getBooksByWriters(NULL, NULL, $_GET['title']);
        }
        else if(isset($_GET['writer']))
        {
            echo $db->getBooksByWriters($_GET['writer'], $_GET['writer'], NULL);
        }
        else
        {
            //echo $db->getBooks();
            echo $db->getBooksByWriters(NULL, NULL, NULL);
        }
        return;
    }
    
?>

<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <meta charset="UTF-8">
        <title>Biblioteka</title>
    </head>
    <body onload="prikaziTabelu()">
        <center><h2>Pretraga biblioteke</h2>
            Pisac:<input type="text" id="writer" name="writer" onkeyup="prikaziTabelu();">&nbsp;Knjiga:<input id="book_title" name="book_title" onkeyup="prikaziTabelu();">
        <table name="books" id="books" border="1px black"></table>
        </center>
    </body>
    <script>
        function prikaziTabelu()
        {
            var x = new XMLHttpRequest();
            x.onreadystatechange = function(){
                if(x.readyState == 4 && x.status == 200)
                {
                    biblioteka = JSON.parse(x.responseText);
                    sadrzaj = "";
                    for(i = 0; i < biblioteka.length; i++)
                    {
                        //print(i);
                        knjiga = biblioteka[i];
                        sadrzaj += "<tr>";
                        sadrzaj += "<td>"+knjiga.naslov+"</td><td>"+knjiga.pisac_id+"</td>";
                        sadrzaj += "</tr>";
                    }
                    document.getElementById('books').innerHTML = sadrzaj;
                    
                }
            };
            title = document.getElementById('book_title').value;
            writer = document.getElementById('writer').value;
            x.open("GET", "index.php?getBooks=&title="+title+"&writer="+writer,true);
            x.send();
        }
        
    </script>
</html>
