<?php
    require_once 'db.php';
    $db = new Db();
    
    if(isset($_GET['writer_id']))
    {
        echo json_encode($db->getWriterById($_GET['writer_id']));
        return;
    }
    
    $err = '';
    if(isset($_GET['login']))
    {
        if(!empty($_GET['username']) && !empty($_GET['password']))
        {
            $user = $_GET['username'];
            $pass = $_GET['password'];
            $user_id = $db->checkLogin($user, $pass);
            if($user_id)
            {
                session_start();
                $_SESSION['autorizovan'] = $user_id; 
                setcookie("username", $user, time()+(24*60*2));
                if(isset($_GET['remember_me']))
                {
                    setcookie("password", $password, time()+(24*60*2));
                    
                }
                header("Location: index.php");
            }
            else
            {
                $err = "Neipsravna kombinacija username/password";
            }
        }
        else
        {
            $err = "Niste uneli sifru i/ili korisnicko ime";
        }
        
    }
?>

<html>
    <title>Login</title>
    <body>
        <div style="float: left; padding: 10px">
            <?php
                $writers = $db->getAllWriters();
                $radio_writers = '';
                foreach ($writers as $writer)
                {
                    $radio_writers .= "<input type='radio' name='writers[]' value='".$writer['id']."' onclick = 'loginRadio();'>".$writer['ime']." ".$writer['prezime']."<br>";
                    //$radio_writers .= "<input type='radio' name='writers[]' value='".$writer['id'].">".$writer['ime']." ".$writer['prezime']."<br>";
                    
                }
                echo $radio_writers;
            ?>
        </div>
        <div style="float: left; padding: 40px">
            <form>
                Username:<br>
                <input type="text" name="username" value="<?php if(isset($_COOKIE['username'])) echo $_COOKIE['username'];?>"><br>
                Password:<br>
                <input type="password" name="password" value="<?php if(isset($_COOKIE['password'])) echo $_COOKIE['password'];?>"><br>
                Zapamti lozinku<input type="checkbox" name="remember_me">
                <input type="submit" value="Posalji" name="login">
            </form>
            
            <p style="color: red;"><?php echo $err; ?></p>
        </div>
    </body>
    <script>
        loginRadio()
        {
            var x = new XMLHttpRequest();
            x.onreadystatechange = function(){
                if(x.readyState == 4 && x.status == 200)
                {
                    $writer = JSON.parse(x.responseText);
                    //document.getElementById('username').value = ;
                    //document.getElementById('password').value = ;
                }
            };
            //writer_id = document.getElementById('');
            x.open("GET", "login.php?writer_id=", true);
            x.send();
        }
    </script>
</html>
