<?php
    class Pisac{
        private $id;
        private $ime;
        private $prezime;
        private $uloga;
        
        function __construct($id,$ime,$prezime,$uloga) {
            $this->id=$id;
            $this->ime=$ime;
            $this->prezime=$prezime;
            $this->uloga=$uloga;
        }
    }
    class Knjiga{
        private $id;
        private $naslov;
        private $dat_izdavanja;
        private $pisac_id;
        
        function __construct($id,$naslov,$dat_izdavanja,$pisac_id) {
            $this->id=$id;
            $this->naslov=$naslov;
            $this->dat_izdavanja=$dat_izdavanja;
            $this->pisac_id=$pisac_id;
            
        }
    }
    class DB
    {
        const ime_hosta = 'localhost';
        const korisnik = 'root';
        const sifra = "";
        const ime_baze = "biblioteka";
        
        
        private $dbh;
        
        function  __construct() 
        {
            try {
                $konekcioni_string="mysql:host=".self::ime_hosta.";dbname=".self::ime_baze;
                $this->dbh = new PDO($konekcioni_string, self::korisnik, self::sifra);
                
            }catch(PDOException $e) {echo "GRESKA: ";echo $e->getMessage();}
            
        }
        function dajPisce(){
            $q = "SELECT * from pisac";
            $res = $this->dbh->query($q);
            return $res->fetchAll(PDO::FETCH_ASSOC);
        }
        function proveriKorisnika($user, $pass){
            $q = "SELECT * from pisac WHERE ime='$user' and prezime='$pass'";
            $res = $this->dbh->query($q);
            return $res->fetch(PDO::FETCH_ASSOC);
        }
        function dajPisca($id){
            $q = "SELECT * from pisac WHERE id=$id";
            $res = $this->dbh->query($q);
            return $res->fetch(PDO::FETCH_ASSOC);
        }
        function dajSveKnjige(){
            $q = "SELECT * from knjiga";
            $res = $this->dbh->query($q);
            return $res->fetchAll(PDO::FETCH_ASSOC);
        }
        function pretraziKnjigePoPiscu($pisac){
            $q = "SELECT * from knjiga WHERE id = in (SELECT id from pisac where ime LIKE '$pisac' or prezime LIKE '$pisac')";
            $res = $this->dbh->query($q);
            
            $niz=$res->fetchAll(PDO::FETCH_ASSOC);
            
            $knjige = [];
            foreach($niz as $knjiga) {
                $id = $knjiga['id'];
                $naslov = $knjiga['naslov'];
                $dat_izdavanja = $knjiga['dat_izdavanja'];
                $pisac_id = $knjiga['pisac_id'];
                $knjige[] = new Knjiga($id, $naslov, $dat_izdavanja, $pisac_id);
                
            }
            return json_encode($knjige);
        }
        function pretraziKnjigePoNaslovu($naslov){
            $q = "SELECT * from knjiga WHERE naslov LIKE '$naslov')";
            $res = $this->dbh->query($q);
            
            $niz=$res->fetchAll(PDO::FETCH_ASSOC);
            
            $knjige = [];
            foreach($niz as $knjiga) {
                $id = $knjiga['id'];
                $naslov = $knjiga['naslov'];
                $dat_izdavanja = $knjiga['dat_izdavanja'];
                $pisac_id = $knjiga['pisac_id'];
                $knjige[] = new Knjiga($id, $naslov, $dat_izdavanja, $pisac_id);
                
            }
            return json_encode($knjige);
        }
    }

