<?php 
    
    require_once 'BAZA.php';
    $baza = new DB();

    session_start();
    if(!isset($_SESSION['autorizovan'])){
      header("Location: login.php"); 
    }
    else{
        $korisnik=$baza->dajPisca($_SESSION['autorizovan']);
    }
    
    
    if(isset($_GET['logout'])){
        setcookie("user", 1, time() -1);
        setcookie("pass", 1, time() -1);
        session_abort();
        header("Location:login.php");
    }
        
?>

<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Pocetna</title>
        <script src="mojJS.js"></script>
    </head>
    <body>
        
        <h3>Dobrodosli, <?php echo $korisnik["ime"]." ".$korisnik["prezime"]; ?>!</h2>
        
        <h2>Pretraga biblioteke</h1>
        
        Pisac: <input type="text" name="pisac" id="pisac" onkeyup="pretraziPisca()"/> &nbsp;
        Knjiga: <input type="text" name="knjiga" id="knjiga" onkeyup="pretraziPisca()"/>
        
        <br>
        
        <?php ?>
        <br>
        <table border="1" cellpadding="5" id="tabela">
            <?php 
            $knjige = $baza->dajSveKnjige();
            
            foreach ($knjige as $knjiga){
            ?>
            <tr>
                <td>
                    <?php echo $knjiga["naslov"];?>
                </td>
                <td>
                    <?php 
                    
                    $pisac = $baza->dajPisca($knjiga["pisac_id"]);
                    echo $pisac["ime"];
                    
                    ?>
                </td>
            </tr>
             <?php 
            }
            ?>
        </table>
        <a href="index.php?logout">LOG OUT</a>
    </body>
</html>
