<?php

class Pisac {
    public $id;
    public $ime;
    public $prezime;
    public $knjige;
    public $uloga;
    
    function __construct($id, $ime, $prezime, $knjige, $uloga) {
        $this->id = $id;
        $this->ime = $ime;
        $this->prezime = $prezime;
        $this->knjige = $knjige;
        $this->uloga = $uloga;
    }
}

class Db {
    const host = "localhost";
    const dbname = "biblioteka";
    const user = "root";
    const pass = "";
    
    private $dbh;
    
    public function __construct() {
        $connStr = "mysql:host=" .self::host .";dbname=" .self::dbname;
        $this->dbh = new PDO($connStr, self::user, self::pass);
    }
    
    public function __destruct() {
        $this->dbh = null;
    }
    
    public function getAllWritters($ime = null, $prezime = null) {
        $sql = "select * from pisac";
        if(isset($ime) && isset($prezime)) {
            $sql .= " where ime like '%$ime%' and prezime like '%$prezime%'";
        }
        $res = $this->dbh->query($sql);
        return $res->fetchAll(PDO::FETCH_ASSOC);
    }
    public function getUserById($id) {
        $sql = "select * from pisac where id = $id";
        $res = $this->dbh->query($sql);
        return $res->fetch(PDO::FETCH_ASSOC);
    }
    
    public function getUserByUsernameAndPassword($username, $password) {
        $sql = "select * from pisac where ime = '$username' and prezime = '$password'";
        $res = $this->dbh->query($sql);
        return $res->fetch(PDO::FETCH_ASSOC);
    }
    
    public function getKnjigeByPisacId($id, $naslov = null) {
        $sql = "select * from knjiga where pisac_id = $id";
        if($naslov != null) {
            $sql .= " and naslov like '%$naslov%'";
        }
        $res = $this->dbh->query($sql);
        return $res->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function getAllBooksAndWritters($ime, $prezime, $naslov) {
        $writers = [];
        foreach ($this->getAllWritters($ime, $prezime) as $pis) {
            $knjige = $this->getKnjigeByPisacId($pis['id'], $naslov);
            $writers[] = new Pisac($pis['id'], $pis['ime'], $pis['prezime'], $knjige, $pis['uloga']);
        }
        
        return $writers;
    }
    
    public function deletePisce($id) {
//        $sql = "delete from pisac where id = $id";
        $this->dbh->beginTransaction();
        $this->deleteBooksByWrittersId($id);
        $sql = "delete from pisac where id = $id";
        $this->dbh->exec($sql);
        $this->dbh->commit();
    }
    
    public function deleteBooksByWrittersId($id) {
        $sql = "delete from knjiga where pisac_id = $id";
        $this->dbh->exec($sql);
    }
}