const welcomeHeader = document.getElementById("welcomeHeader");
const pisacInput = document.getElementById("pisacInput");
const knjigaInput = document.getElementById("knjigaInput");
const table = document.getElementById("table");
const hideInput = document.getElementById("hideInput");
//const knjigaInput = document.getElementById("knjigaInput");

const fetchData = () => {
    fetchUser();
    fillTable();
}

const fetchUser = async() => {
    const response = await fetch("index.php?user");
    const user = await response.json();
    
    welcomeHeader.innerHTML = `Dobrodosli, ${user.ime} ${user.prezime}!`;
}

const fillTable = async() => {
    const isAdmin = hideInput.value;
    console.log("IS ADMIN " + isAdmin);
    const arr = pisacInput.value.split(" ");
    const naslov = knjigaInput.value;
    let ime = "";
    let prezime = "";
    if(arr.length > 0) {
        ime = arr[0];
        if(arr.length > 1) {
            prezime = arr[1];
        }
    }
    
    console.log(ime, prezime, naslov);
    const response = await fetch(`index.php?table=&ime=${ime}&prezime=${prezime}&naslov=${naslov}`);
    const data = await response.json();
    
    
//    console.log(data);
    
    let content = '';
    
 
    for(let pisac of data) {
        if(isAdmin == 'user') {
            for(let j = 0; j < pisac.knjige.length; j++) {
                if(j === 0) {
                    content += `<tr><td>${pisac.knjige[j].naslov}</td><td rowspan='${pisac.knjige.length}'>${pisac.ime} ${pisac.prezime}</td></tr>`;
                } else {
                    content += `<tr><td>${pisac.knjige[j].naslov}</td></tr>`;
                }
            }
        }
        else {
            for(let j = 0; j < pisac.knjige.length; j++) {
                if(j === 0) {
                    content += `<tr><td>${pisac.knjige[j].naslov}</td><td rowspan='${pisac.knjige.length}'>${pisac.ime} ${pisac.prezime}</td><td rowspan='${pisac.knjige.length}'><button onclick='obrisiPisce(${pisac.id});'>X</button></td></td></tr>`;
                } else {
                    content += `<tr><td>${pisac.knjige[j].naslov}</td></tr>`;
                }
            }
        }
        
    }
    
    table.innerHTML = content;
    
}
const onchangeHandler = () => {
    fillTable();
}

const obrisiPisce = async (id) => {
    await fetch("index.php?delete=&id=" + id);
    fillTable();
}