<?php

    class Knjiga{
        public $id, $pisac, $naslov;
        
        function __construct($id, $pisac, $naslov) {
            $this->id= $id;
            $this->piasc = $pisac;
            $this->naslov = $naslov;
        }
    }

    class Db{
        const host = "localhost";
        const user = "root";
        const pass = "";
        const db = "biblioteka";
        
        public $dbh;
        
        function __construct() {
            try{
                $this->dbh = new PDO("mysql:host=".self::host.";dbname=".self::db, self::user, self::pass);
            } catch (Exception $ex) {
                die("Connection error");
            }
        }
        
        function __destruct() {
            $this->dbh = null;
        }
        
        function dajPisce(){
            return $this->dbh->query("select * from pisac")->fetchAll(PDO::FETCH_ASSOC);
        }
        
        function proveriKorisnika($user, $pass){
            return $this->dbh->query("select * from pisac where ime='$user' and prezime='$pass'")->fetch(PDO::FETCH_ASSOC);
        }
        
        function prebrojKnjigePisca($ime){
            $sql = "select * from pisac where ime='$ime'";
            $pisac = $this->dbh->query($sql)->fetch(PDO::FETCH_ASSOC);
            $idP = $pisac['id'];
            $sql = "select count(*) from knjiga where pisac_id=$idP";
            return $this->dbh->query($sql)->fetch();
        }
        
        function dajPisca($id){
            return $this->dbh->query("select * from pisac where id=$id")->fetch(PDO::FETCH_ASSOC);
        }
        
        function dajKorisnika($user, $pass){
            return $this->dbh->query("select * from pisac where ime='$user' and prezime='$pass'")->fetch(PDO::FETCH_ASSOC);
        }
        
        function prikaziTabelu($idP){
            $sql = "select * from pisac p join knjige k on p.id=k.pisac_id where p.id=$idP";
            $niz = $this->dbh->query($sql)->fetchAll(PDO::FETCH_ASSOC);
            foreach($niz as $n){
               $niz[] = new Knjiga($n['id'], $n[ime]." ".$n['prezime'], $n['naslov']);
            }
            return json_encode($niz);
        }
    }
?>