<?php

class Biblioteka {

    const host = "localhost";
    const dbname = "biblioteka";
    const user = "root";
    const pass = "";

    private $dbh;

    function __construct() {
        try {

            $connStr = "mysql:host=" . self::host . ";dbname=" . self::dbname;
            $this->dbh = new PDO($connStr, self::user, self::pass);
        } catch (Exception $ex) {
            die("Greska prilikom povezivanja na bazu!");
        }
    }

    function __destruct() {
        $this->dbh = null;
    }

    function GetAllPisac()
    {
        $query = "SELECT * FROM pisac";
        return $this->dbh->query($query)->fetchAll(PDO::FETCH_ASSOC);
    }
    
    function LogIn($ime, $prezime, $save)
    {
        $query = "SELECT * FROM pisac WHERE ime='$ime' AND prezime='$prezime'";
        $pdo = $this->dbh->query($query);
        if ($pdo->rowCount() == 1)
        {
            session_start();
            $_SESSION['autorizovan'] = $pdo->fetch(PDO::FETCH_ASSOC)['id'];
            $_SESSION['uloga'] =  $pdo->fetch(PDO::FETCH_ASSOC)['uloga'];
            setcookie("user", $ime, time() + (24*60*2));
            if ($save == 1)
                setcookie ("pass", $prezime, time() + (24*60*2));
            return 1;
        }   
        else
            return 0;
    }
    
    function GetPisacById($id)
    {
        $query = "SELECT * FROM pisac WHERE id=$id";
        return $this->dbh->query($query)->fetch(PDO::FETCH_ASSOC);
    }
    
    function SearchBooksP($pisac = null)
    {
        $query = "SELECT * FROM pisac WHERE ime LIKE '%".$pisac."%' OR prezime LIKE '%".$pisac."%'";
        $niz = $this->dbh->query($query)->fetchAll(PDO::FETCH_ASSOC);
        $knjige = [];
        
        foreach ($niz as $knjiga) {
            $id = $knjiga['id'];
            $naslov = $knjiga['naslov'];
            $dat = $knjiga['dat_izdavanja'];
            $pisac = $this->GetPisacById($knjiga['pisac_id'])['ime'];
            
            $knjige[] = new Knjiga($id, $naslov, $dat, $pisac);
        }
        
        return json_encode($knjige);
    }
    function SearchBooks($knjiga = null)
    {
        $query = "SELECT * FROM knjiga";

        if ($knjiga != null) {
            $query .= " WHERE naslov LIKE '%".$knjiga."%'";
        }
        $niz = $this->dbh->query($query)->fetchAll(PDO::FETCH_ASSOC);
        $knjige = [];
        
        foreach ($niz as $knjiga) {
            $id = $knjiga['id'];
            $naslov = $knjiga['naslov'];
            $dat = $knjiga['dat_izdavanja'];
            $pisac = $this->GetPisacById($knjiga['pisac_id'])['ime'];
            
            $knjige[] = new Knjiga($id, $naslov, $dat, $pisac);
        }
        
        return json_encode($knjige);
    }
}

class Knjiga
{
    public $id;
    public $naslov;
    public $dat;
    public $pisac_id;
    
    public function __construct($id, $naslov, $dat, $pisac_id) {
        $this->id = $id;
        $this->naslov = $naslov;
        $this->$dat = $dat;
        $this->$pisac_id = $pisac_id;
    }
}

?>