<?php
    require_once './db.php';
    $db = new Db();
    
    if(isset($_GET['pisacID']))
    {
        echo $db->getPisacById($_GET['pisacID']);
        return;
    }
    
    if(isset($_GET['login']))
    {
        if(($user = $db->loginCheck($_GET['ime'], $_GET['prezime'])) != null)
        {
            session_start();
            $_SESSION['user'] = $user['id'];
            setcookie("user", $user['ime'], time() + 2*24*60*60, true);
            if(isset($_GET['cb']))
            {
                setcookie("pass", $user['prezime'], time() + 2*24*60*60, true);
            }
            header("Location: index.php");
        }
    }
    
?>
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
    </head>
    <body>
        <div style="height:300px; width:300px; float:left; margin-right: 10px">
        <?php
            $pisci = $db->getPisce();
            foreach ($pisci as $pisac)
            {
                ?>
        <input type="radio" name="pisac"  id="pisac" onclick="autoLog(value)" value="<?php echo $pisac['id']; ?>"> <?php echo $pisac['ime']." ".$pisac['prezime']; ?><br>
                <?php
            }
        ?>
        </div>
        
        <div style="height:300px; width:300px; float:left; margin-right: 10px">
            <form method="get" action="<?php echo $_SERVER['PHP_SELF']; ?>" >   
            Username:<br>
            <input type="text" name="ime" id="ime" value="<?php if(isset($_COOKIE['user'])) echo $_COOKIE['user']; ?>" ><br>
            Password:<br>
            <input type="text" name="prezime" id="prezime" value=" <?php if(isset($_COOKIE['pass'])) echo $_COOKIE['pass']; ?>" ><br>
            Zapamti lozinku <input type="checkbox" name="cb"> <input type="submit" name="login" value="Posalji">
            </form>
        </div>
        
    </body>
    
    <script>
        function autoLog(pisacID)
        {
            ime = document.getElementById("ime");
            prezime = document.getElementById("prezime");
            //pisacID = document.getElementsByName("pisac").value;
            
            var x = new XMLHttpRequest();
            x.onreadystatechange = function()
            {
                if(x.readyState == 4 && x.status == 200)
                {
                    pisac = JSON.parse(x.responseText);
                    ime.value = pisac.ime;
                    prezime.value = pisac.prezime;
                }
            };
            x.open("get", "login.php?pisacID=" + pisacID, true);
            x.send();
            
        }
    </script>
</html>
