<?php

class Pisac
{
    public $ime;
    public $prezime;
    public $uloga;
    public $knjige;
    
    public function __construct($ime, $prezime, $knjige) {
        $this->ime=$ime;
        $this->prezime=$prezime;
        $this->knjige = $knjige;
    }
    
}


class Knjiga
{
    public $naslov;
    
    public function __construct($naslov) {
        $this->naslov=$naslov;
    }
}

class Db
{
    const host='localhost';
    const dbname='biblioteka';
    const user='root';
    const pass='';
    
    private $dbh;
    
    public function __construct() {
        try {
            $string="mysql:host=".self::host.";dbname=".self::dbname;
            $this->dbh=new PDO($string, self::user, self::pass);
        } catch (Exception $ex) {
            die("Greska s bazom");
        }
    }
    
    public function __destruct() {
        $this->dbh=null;;
    }
    
    public function dajPisce()
    {
        $sql = "select * from pisac";
        $upit= $this->dbh->query($sql);
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function dajkonkretnogpisca($id)
    {
        $sql="select * from pisac where id=$id";
        $upit= $this->dbh->query($sql);
        return $upit->fetch(PDO::FETCH_ASSOC);
    }
    
    public function proveriKorisnika($user, $pass)
    {
        $sql = "select * from pisac where ime='$user' and prezime='$pass'";
        $upit= $this->dbh->query($sql);
        return $upit->fetch(PDO::FETCH_ASSOC);
    }
    
    public function knjigepisca($id)
    {
        $sql="select * from knjiga where pisac_id=$id";
        $upit= $this->dbh->query($sql);
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function dajsveknjigezapisca($id)
    {
        $sql = "select * from pisac where id=$id";
        $upit = $this->dbh->query($sql);
        $pisac= $upit->fetch(PDO::FETCH_ASSOC);
        
        $knjig=[];
        $knjige = $this->dajsveknjigezapisca($id);
        
        foreach ($knjige as $knjiga)
        {
            $knjig[] = new Knjiga($knjiga['naslov']);
        }
        
        $pisac = new Pisac($pisac['ime'], $pisac['prezime']);
        return json_encode($pisac);
    }
    
    
    public function dajsveknjigezasvepisce()
    {
        $sql = "select * from pisac";
        $upit = $this->dbh->query($sql);
        $pisci= $upit->fetchAll(PDO::FETCH_ASSOC);
        
        $pisc=[];
        
        foreach ($pisci as $pisac)
        {
            $knjig=[];
            $knjige = $this->dajsveknjigezapisca($pisac['id']);   
            foreach ($knjige as $knjiga)
            {
                $knjig[] = new Knjiga($knjiga['naslov']);
            }

            $pisc[] = new Pisac($pisac['ime'], $pisac['prezime'], $knjig);
        
        }
        return json_encode($pisc);
    }
    
    public function dajpiscepoimenu($ime)
    {
        $sql="select * from pisac where ime like '%$ime%' or prezime like '%$ime%' ";
        $upit = $this->dbh->query($sql);
        $pisci=$upit->fetchAll(PDO::FETCH_ASSOC);
        
        foreach ($pisci as $pisac)
        {
            $knjig=[];
            $knjige = $this->dajsveknjigezapisca($pisac['id']);   
            foreach ($knjige as $knjiga)
            {
                $knjig[] = new Knjiga($knjiga['naslov']);
            }

            $pisc[] = new Pisac($pisac['ime'], $pisac['prezime'], $knjig);
        
        }
        return json_encode($pisc);
    }
    
    public function poimenu($ime)
    {
        $sql="select * from pisac where ime like '%$ime%' or prezime like '%$ime%' ";
        $upit = $this->dbh->query($sql);
        $pisci=$upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function dajknjigeponaslovu($naslov)
    {
        $sql="select * from knjige where naslov like '%$naslov%'";
        $upit = $this->dbh->query($sql);
        $knjige = $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function naslov($naslov)
    {
        $sql="select * from knjige where naslov like '%$naslov%'";
        $upit = $this->dbh->query($sql);
        $knjige = $upit->fetchAll(PDO::FETCH_ASSOC);
        $pisci= $this->dajPisce();
        
        foreach ($pisci as $pisac)
        {
            
            foreach ($knjige as $knjiga)
            {
                if($pisac['id'] == $knjiga[pisac_id])
                {
                    $pisac = $this->dajkonkretnogpisca($knjiga['pisac_id']);
                }
            }
        }
    }
}


?>