<!DOCTYPE html>
<?php 
session_start();
require_once 'db.php';
$db = new Db();

if(!isset($_SESSION['autor']))
{
    header("Location: login.php");
}

if(isset($_GET['logout']))
{
    setcookie("user", 1, time()-1);
    setcookie("pass", 1, time() - 1);
    session_destroy();
    header("Location: login.php");
}

if(isset($_GET['prikaz']))
{
    if($_GET['pisac'] == "" && $_GET['knjiga']=="")
    {
        echo $db->dajsveknjigezasvepisce($_SESSION['autor']);
        return;
    }
    else if(isset($_GET['pisac']) && !isset ($_GET['knjiga']))
   {
      echo $db->dajpiscepoimenu($_GET['pisac']);
      return;
   }
   else if(isset ($_GET['knjiga']) && !isset ($_GET['pisac']))
   {
       $rez=$db->dajknjigeponaslovu($_GET['knjiga']);
       echo json_encode($rez);
       return;
   }
}

?>
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
    </head>
    <body onload='prikazi()'>
        
        <?php
        $korisnik = $db->dajkonkretnogpisca($_SESSION['autor']);
        echo "Dobrosao, ".$korisnik['ime']." ".$korisnik['Prezime'];
        ?>
        
        <h2>Pretraga biblioteke</h2>
        
        Pisac: <input type='text' name='pisac' onkeyup="prikazi()">
        Knjiga: <input type='text' name='knjiga' onkeyup="prikazi()">
        <br>
        
        <table id='tabela' border='1'>
            
        </table>
        
        <a href='index.php?&logout'>logout</a>
    </body>
    
    <script>
        function prikazi()
        {
            gde= document.getElementById('tabela');
            var x= new XMLHttpRequest();
            
            x.readystatechange = function()
            {
                if(x.readyState==4 and x.status == 200)
                {
                    pisci=JSON.parse(x.responseText);
                    
                    table="";
                    
                    for(i=0:i<pisci.length; i++)
                    {
                        for(j=0;j<pisci[i].knjige.length; j++)
                        {
                            table+="<tr><td>"+pisci[i].knjige[j]+"</td>";
                        }
                        table+="<td rowspan='j'>"+pisci[i].ime+" "+pisci[i].prezime+"</td></tr>";
                    }
                    
                    gde.innerHTML=table;
                }
            };
            
            x.open("Get", "index.php?&prikaz" , true);
            x.send();
        }
    </script>
</html>
