<?php


    class Knjiga {
        
        public $id;
        public $naslov;
        
        public function __construct($id, $naslov) {
            $this->id = $id;
            $this->naslov = $naslov;
        }
        
    }

    class Pisac {
        
        public $imePrezime;
        public $knjige;
        
        public function __construct($imePrezime, $knjige) {
            $this->imePrezime = $imePrezime;
            $this->knjige = $knjige;
        }
    }


    class Db {
        
        const host = "localhost";
        const dbname = "biblioteka";
        const user = "root";
        const pass = "";
        
        private $dbh;
        
        public function __construct() {
            try {
                $string = "mysql:host=".self::host.";dbname=".self::dbname;
                $this->dbh = new PDO($string, self::user, self::pass);
            } 
            catch (PDOException $ex) {
                die($ex->getMessage());
            }
        }
        
        public function __destruct() {
            $this->dbh = null;
        }
        
        
        public function dajPisce() {
            try {
                $sql = "SELECT * FROM pisac";
                $upit = $this->dbh->query($sql);
                return $upit->fetchAll(PDO::FETCH_ASSOC);
                
            } 
            catch (PDOException $ex) {
                die($ex->getMessage());
            }
        }
        
        public function proveriLogin($username, $password) {
            try {
                $sql = "SELECT * FROM pisac WHERE ime='$username' and prezime='$password'";
                $upit = $this->dbh->query($sql);
                $user = $upit->fetch(PDO::FETCH_ASSOC);
                
                if($user) {
                    $_SESSION['odobren'] = $user['id'];
                    $_SESSION['ime'] = $user['ime'];
                    $_SESSION['prezime'] = $user['prezime'];
                    setcookie("username", "$username", 3600 * 24 * 2, "/");
                    return true;
                }
                return false;
                
            } 
            catch (PDOException $ex) {
                die($ex->getMessage());
            }
        }
        
        public function dajSadrzaj($filterP = null, $filterK = null) {
            try {
                $sql = "SELECT * FROM pisac";
                if($filterP != null) {
                    $sql .= " WHERE ime like '%$filterP%' or prezime like '%$filterP%'";
                }
                
                $upit = $this->dbh->query($sql);
                $pisci = $upit->fetchAll(PDO::FETCH_ASSOC);
                
                
                
                $sadrzaj = [];
                
                foreach ($pisci as $pisac) {
                    $njegoveKnjige = [];
                    $pisac_id = $pisac['id'];
                    $sql = "SELECT * FROM knjiga WHERE pisac_id=$pisac_id";
                    if($filterK != null) {
                        $sql .= " WHERE naslov like '%$filterK%'";
                    }
                    $upit = $this->dbh->query($sql);
                    $knjige = $upit->fetchAll(PDO::FETCH_ASSOC);
                    
                    foreach ($knjige as $knjiga) {
                        
                        $novaKnjiga = new Knjiga($knjiga['id'], $knjiga['naslov']);
                        $njegoveKnjige[] = $novaKnjiga;
                    }
                    $noviPisac = new Pisac($pisac['ime'] . " " . $pisac['prezime'], $njegoveKnjige);
                    $sadrzaj[] = $noviPisac;
                    
                }
                //print_r($sadrzaj);
                return json_encode($sadrzaj);
            } 
            catch (PDOException $ex) {
                die($ex->getMessage());
            }
        }
        
    }

?>
