<?php
class Pisac
{
    public $id;
    public $ime;
    public $prezime;
    public function  __construct($id,$ime,$prezime)
     {
        $this->id=$id;
         $this->ime = $ime;
         $this->prezime=$prezime;
     }
}

class Pisac1
{
    public $id;
    public $ime;
    public $prezime;
    public $knjige;
    public function  __construct($id,$ime,$prezime,$knjige)
     {
        $this->id=$id;
         $this->ime = $ime;
         $this->prezime=$prezime;
         $this->knjige=$knjige;
     }
}

class Knjiga
{
    
    public $id;
    public $naslov;
    public $dat_izdavanja;
    public $pisacPid;
    public function  __construct($id,$naslov,$dat_izdavanja,$pisacPid)
     {
        $this->id=$id;
         $this->naslov = $naslov;
         $this->dat_izdavanja=$dat_izdavanja;
          $this->pisacPid=pisacPid;
     }
}

class Db
{
    public $host = "localhost";
    public $user = "root";
    public $pass="";
    public $baza = "biblioteka";
    
    public $dbh;
    
    public function __construct()
    {
        try {
            $String = "mysql:host=".$this->host.";dbname=".$this->baza;
            $this->dbh= new PDO($String,$this->user, $this->pass);
        } catch (Exception $ex) {
            echo "Greska pri konekciji ".$ex->getMessage();
        }
    }
    
    public function DajSvePisce()
    {
        try {
            $sql = "select * from pisac";
        $obj=$this->dbh->query($sql);
        $res = $obj->fetchAll(PDO::FETCH_ASSOC);
        
        $niz=[];
        foreach ($res as $r)
        {
            $n['id']=$r['id'];
            $n['ime']=$r['ime'];
            $n['prezime']=$r['prezime'];
            $n['uloga']=$r['uloga'];
            
            $niz[]=$n;
            
        }
        return $niz;
        } catch (Exception $ex) {
            echo "Greska ".$ex->getMessage();
            return false;
        }
    }
    
    public function DajPisacById($id)
    {
        try {
            $sql = "select * from pisac where id=$id";
        $obj=$this->dbh->query($sql);
        $res = $obj->fetch(PDO::FETCH_ASSOC);
        
        return $res;
        } catch (Exception $ex) {
            echo "Greska ".$ex->getMessage();
            return false;
        }
    }
    
     public function DajPisacByIdJson($id)
    {
        try {
        $sql = "select * from pisac where id=$id";
        $obj=$this->dbh->query($sql);
        $res = $obj->fetch(PDO::FETCH_ASSOC);
        
        $ime = $res['ime'];
        $prezime=$res['prezime'];
        $id1=$id;
        
        $pisac = new Pisac($id, $ime, $id1);
        $pisac = json_encode($pisac);
        return $pisac;
        
        } catch (Exception $ex) {
            echo "Greska ".$ex->getMessage();
            return false;
        }
    }
    
    public function DajSveKnjige()
    {
        try {
            $sql = "select * from knjiga";
            $obj=$this->dbh->query($sql);
            $res = $obj->fetch(PDO::FETCH_ASSOC);
         $niz=[];
        foreach ($res as $r)
        {
            $n['id']=$r['id'];
            $n['naslov']=$r['naslov'];
            $n['dat_izdavanja']=$r['dat_izdavanja'];
            $n['pisac_id']=$r['pisac_id'];
            
            $niz[]=$n;
            
        }
        return $niz;
        
        } catch (Exception $ex) {
            echo "Greska ".$ex->getMessage();
            return false;
        }
    }
    
    public function ProveraPisca($ime,$prezime)
    {
       try {
            $sql = "select * from pisac where ime='$ime' and prezime='$prezime'";
            $obj=$this->dbh->query($sql);
            $res = $obj->fetch(PDO::FETCH_ASSOC);
           
        
        return $res;
        
        } catch (Exception $ex) {
            echo "Greska ".$ex->getMessage();
            return false;
        }
    }
    
    public function PretragaPisca($ime)
    {
         try {
            $sql = "select * from pisac where ime like '%$ime%' or prezime like '%$ime%'";
            $obj=$this->dbh->query($sql);
            $res = $obj->fetchAll(PDO::FETCH_ASSOC);
          
        return $res;
        
        } catch (Exception $ex) {
            echo "Greska ".$ex->getMessage();
            return false;
        }
    }
    
    public function DajSveKnjigePisca($idP)
    {
        try {
            $sql = "select * from knjiga where pisac_id='$idP";
            $obj=$this->dbh->query($sql);
            $res = $obj->fetch(PDO::FETCH_ASSOC);
         $niz=[];
        foreach ($res as $r)
        {
         //   $n['id']=$r['id'];
           // $n['naslov']=$r['naslov'];
           // $n['dat_izdavanja']=$r['dat_izdavanja'];
            //$n['pisac_id']=$r['pisac_id'];
            $n=$r['naslov'];
            $niz[]=$n;            
           /* $id=$r['id'];
            $naslov=$r['naslov'];
            $dat_izdavanja=$r['dat_izdavanja'];
            $pisacPid=$r['pisac_id'];
        
            
            $knjiga = new Knjiga($id, $naslov, $dat_izdavanja, $pisacPid);
            $niz[]=$knjiga;
         return json_encode($niz);*/
        }    
        return $niz;
        }
        
        catch (Exception $ex) {
            echo "Greska ".$ex->getMessage();
            return false;
        }
    }
    
    public function DajPiscaIKnjige($id)
    {
        try {
            $sql = "select * from pisac where id =$id";
            $obj=$this->dbh->query($sql);
            $res = $obj->fetch(PDO::FETCH_ASSOC);
            $idP=$res['id'];
            $ime=$res['ime'];
            $prezime=$res['prezime'];
            $knjige =$this->DajSveKnjigePisca($idP);
            
            $rez = new Pisac1($idP, $ime, $prezime, $knjige);
          return json_encode($rez);
        
        
        } catch (Exception $ex) {
            echo "Greska ".$ex->getMessage();
            return false;
        }
    }
    
    }
    
?>