<!DOCTYPE html>
<?php
    session_start();
    require_once './db.php';
    $db = new Db();

    // ukoliko nije logovan
    /*if(!isset($_SESSION['autorizovan']))
    {
        header("Location: login.php");
    }*/
    
    // odjavljivanje
    if(isset($_GET['logout']))
    {
        session_destroy();
        setcookie("user", 1, time()-1);
        setcookie("pass", 1, time()-1);
        header("Location: login.php");
    }
    
    // ajax
    if(isset($_GET['dajKnjige']))
    {
        echo $db->pretraziKnjige($_GET['naslov']);
        return;
    }
    
    if(isset($_GET['dajKnjigePoPiscu']))
    {
        echo $db->pretraziKnjigePoPiscu($_GET['pisac']);
        return;
    }
?>
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
        <style>
            table, th, td 
            {
                margin-top: 10px;
                border: 1px solid black;
                border-collapse: collapse;
            }
        </style>
        <script>
            function prikaziKnjige()
            {
                var x = new XMLHttpRequest();
                
                x.onreadystatechange = function()
                {
                    if(this.readyState == 4 && this.status == 200)
                    {
                        sveKnjige = JSON.parse(this.responseText);
                        sadrzaj = "";
                        
                        for(i=0; i < sveKnjige.length; i++)
                        {
                            sadrzaj += "<tr>";
                            sadrzaj += "<td>" + sveKnjige[i].naslov + "</td>";
                            //brojKnjiga = sveKnjige[i].length;
                            sadrzaj += "<td>" + sveKnjige[i].autor +"</td>";
                            sadrzaj += "</tr>";
                        }
                        document.getElementById("knjige").innerHTML = sadrzaj;
                    }
                };
                
                naslov = document.getElementById("naslov").value;
                x.open("GET", "index.php?dajKnjige&naslov="+naslov, true);
                x.send();
            }
            
            function prikaziKnjigePoPiscu()
            {
                var x = new XMLHttpRequest();
                
                x.onreadystatechange = function()
                {
                    if(this.readyState == 4 && this.status == 200)
                    {
                        sveKnjige = JSON.parse(this.responseText);
                        sadrzaj = "";
                        
                        for(i=0; i < sveKnjige.length; i++)
                        {
                            sadrzaj += "<tr>";
                            sadrzaj += "<td>" + sveKnjige[i].naslov + "</td>";
                            //brojKnjiga = sveKnjige[i].length;
                            sadrzaj += "<td>" + sveKnjige[i].autor +"</td>";
                            sadrzaj += "</tr>";
                        }
                        document.getElementById("knjige").innerHTML = sadrzaj;
                    }
                };
                
                pisac = document.getElementById("pisac").value;
                x.open("GET", "index.php?dajKnjigePoPiscu&pisac="+pisac, true);
                x.send();
            }
        </script>
    </head>
    <body onload="prikaziKnjige()">
        
        <!--
       
        <h2>Dobrodosli: <?php //$db->dajPiscaById($_SESSION['autorizovan']) ?></h2><br>
        -->
        <h1>Pretraga biblioteke</h1>
        Pisac: <input type="text" id="pisac" onkeyup="prikaziKnjigePoPiscu()">
        Knjiga: <input type="text" id="naslov" onkeyup="prikaziKnjige()">
        
            <table id="knjige"></table>
        
        <a href="index.php?logout">Odjavi se</a>
    </body>
</html>
