<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of DB
 *
 * @author student
 */
class DB {
    // napravi mysqli objekat
    // otvori konekciju prema bazi
    private $dbh;
    // da li je bilo gresaka?
    function __construct() {
        try {
            $konekcioni_string = "mysql:host=localhost;dbname=biblioteka";
            // $dbh objekat pamti konekciju prema bazi
            $this->dbh = new PDO($konekcioni_string, "root", "");
        }
        catch(PDOException $e) {
            echo "GRESKA: ";
            echo $e->getMessage();
        }
    }
    
    function getAllPisci() {
        $sql = "SELECT * FROM pisac";
        $pi = $this->dbh->query($sql);
        return $pi->fetchAll(PDO::FETCH_ASSOC);
    }
    
    function checkLogin($ime, $prezime) {
        try {
            $sql = "SELECT * FROM pisac WHERE ime='$ime' AND prezime='$prezime'";
            //die($sql);
            $pdo_izraz = $this->dbh->query($sql);
            $obj = $pdo_izraz->fetch(PDO::FETCH_ASSOC);
            return $obj;
        }
        catch(PDOException $e) {
            echo "GRESKA: ";
            echo $e->getMessage();
        }
    }
    
    function getAllKnjige() {
        $sql = "SELECT * FROM knjiga k join pisac p on k.pisac_id=p.id ORDER BY k.pisac_id";
        $pi = $this->dbh->query($sql);
        return $pi->fetchAll(PDO::FETCH_ASSOC);
    }
    
    // Kako god da treba uslov umesto LIKE, ko jos pamti bilo koju dokumentaciju napamet :shrug:
    function getKnjigeByPisac($pisac) {
        $sql = "SELECT * FROM knjiga k join pisac p on k.pisac_id=p.id WHERE p.ime LIKE '$pisac' OR p.prezime LIKE '$pisac' ORDER BY p.id";
        $pi = $this->dbh->query($sql);
        return $pi->fetchAll(PDO::FETCH_ASSOC);
    }
    
    
    function getKnjigeByNaslov($naslov) {
        $naslov = str_replace('\'', '', $naslov);
        $sql = "SELECT * FROM knjiga k join pisac p on k.pisac_id=p.id WHERE k.naslov LIKE '$naslov' ORDER BY p.id";
        // die($sql);
        $pi = $this->dbh->query($sql);
        return $pi->fetchAll(PDO::FETCH_ASSOC);
    }
}
