<?php

class DB{
    const host = "loclahost";
    const user = "root";
    const pass = "";
    const dbname = "biblioteka";
    
    private $dbh;
    
    public function __construct() {
        $konekcioni = "mysql:host=".self::host.";dbname=".self::dbname;
        $this->dbh = new PDO($konekcioni, self::user, self::pass);
    }
    
    public function __destruct() {
        $this->dbh = null;
    }
    
    public function dajSvePisce(){
        $sql = "SELECT * FROM pisac";
        $upit = $this->dbh->query($sql);
        
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function dajPisca($id){
        $sql = "SELECT ime, prezime FROM pisac WHERE id=$id";
        $upit = $this->dbh->query($sql);
        return $upit->fetch(PDO::FETCH_ASSOC);
    }
    
    public function dajKnjigePisca($pisac_id){
        $sql = "SELECT k.id FROM pisac AS p JOIN knjiga AS k ON k.pisac_id = p.id"
                . "WHERE p.id = $pisac_id";
        $upit = $this->dbh->query($sql);
        
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function pretraga($naslov = null, $dat_izdavanja = null, $pisac_id = null){
        $sql = "SELECT * FROM KNJIGA";
        
        if($naslov != null){
            $sql.= "WHERE naslov LIKE ".$naslov;
        }
        
        $niz = $upit;
        $knjige = array();
        
        foreach($niz as $knjiga){
            $id = $knjiga['id'];
            $naslov = $knjiga['naslov'];
            $dat_izdavanja = $knjiga['dat_izdavanja'];
            $idPisca = $knjiga['pisac_id'];
            
            $ime_prezime_pisca = $this->dajPisca($id);
            
            //knjige.push(            
            new Knjiga($idPisca, $naslov, $dat_izdavanja, $ime_prezime_pisca);
            //);
        }
        
        return json_encode($knjige);
    }
            
    public function login($username, $pass){
        $sql = "SELECT * FROM pisac WHERE ime='$username' AND prezime='$pass'";
        $upit = $this->dbh->query($sql);
        
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function obrisiKnjigu($id){
        $sql = "DELETE FROM knjiga WHERE id=$id";
        $this->dbh->query($sql);
    }
    
    public function obrisiPisca($pisac_id){
        $knjige = $this->dajKnjigePisca($pisac_id);
        
        foreach ($knjige as $kID) {
            $this->obrisiKnjigu($kID);
        }
        
        $sql = "DELETE FROM pisac WHERE id=$pisac_id";
        $this->dbh->query($sql);
    }
    
        
}

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

