<?php

class DB {
    
    const hostname = "localhost";
    const username = "root";
    const password = "";
    const dbname = "biblioteka";
    
    public $mysql;
    
    public function __construct()
    {
        $konekcioniString = "mysql:host=".self::hostname.";dbname=".self::dbname;
        
        $this->mysql = new PDO($konekcioniString, self::username, self::password);
    }
    
    public function login($username, $password)
    {
        $sql = "SELECT * FROM pisac WHERE ime = '$username' AND prezime = '$password'";
        $result = $this->mysql->query($sql);
        $id = 0;
        $rows = $result->fetchAll(PDO::FETCH_ASSOC);
        foreach($rows as $row)
        {
            $id = $row['id'];
            if($row['uloga'] == 'admin')
            {
                session_start();
                $_SESSION['admin'] = $id;
            }
        }
        return $id;
    }
    
    public function giveMeWriters()
    {
        $sql = "SELECT * FROM pisac";
        
        $result = $this->mysql->query($sql);
        $rows = $result->fetchAll(PDO::FETCH_ASSOC);
        
        $string = "";
        foreach($rows as $row)
        {
            $id = $row['id'];
            $ime = $row['ime'];
            $prezime = $row['prezime'];
            $string = $string."<input type='radio' name='writer' value='$ime $prezime' onclick='fillInput($id)'><span id='$id'>$ime $prezime</span><br>";
        }
        return $string;
    }
    
    public function giveMeWritersID()
    {
        $sql = "SELECT * FROM pisac";
        
        $result = $this->mysql->query($sql);
        $rows = $result->fetchAll(PDO::FETCH_ASSOC);
        
        $array = array();
        foreach($rows as $row)
        {
            $id = $row['id'];
            $array[] = $id;
        }
        return $array;
    }
    
    public function giveMeWriter($id)
    {
        $sql = "SELECT * FROM pisac WHERE id = $id";
        $result = $this->mysql->query($sql);
        $rows = $result->fetchAll(PDO::FETCH_ASSOC);
        
        foreach($rows as $row)
        {
            $ime = $row['ime']." ".$row['prezime'];
        }
        return $ime;
    }
    
    public function giveMeBooks()
    {
        $pisci = $this->giveMeWritersID();
        $string = "<tr><th>Knjiga</th><th>Pisac</th></tr>";
        foreach($pisci as $pisac)
        {
            $sql = "SELECT * FROM knjiga WHERE pisac_id = $pisac";
            $result = $this->mysql->query($sql);
            $rows = $result->fetchAll(PDO::FETCH_ASSOC);
            
            $ime = $this->giveMeWriter($pisac);
            $imeCount = 0;
            foreach($rows as $row)
            {
                $naslov = $row['naslov'];
                $id = $row['pisac_id'];
                if($imeCount == 0)
                    if(isset($_SESSION['admin']) && $_SESSION['admin'] == $_SESSION['authorized'])
                        $string = $string."<tr><td>$naslov</td><td>$ime</td><td onclick='deleteBook($id)'>Obrisi</td></tr>";
                    else
                        $string = $string."<tr><td>$naslov</td><td>$ime</td></tr>";
                else
                    $string = $string."<tr><td>$naslov</td></tr>";
                $imeCount++;
            }
        }
        return $string;
    }
    
    public function giveMeBooksByWriter($writer)
    {
        $sql = "SELECT id, concat(ime, ' ', prezime) ime FROM pisac WHERE concat(ime, ' ', prezime) LIKE '%$writer%'";
        $result = $this->mysql->query($sql);
        $rows = $result->fetchAll(PDO::FETCH_ASSOC);
        
        $string = "<tr><th>Knjiga</th><th>Pisac</th></tr>";
        foreach($rows as $row)
        {
            $id = $row['id'];
            $ime = $row['ime'];
            $imeCount = 0;
            
            $sql = "SELECT * FROM knjiga WHERE pisac_id = $id";
            $result = $this->mysql->query($sql);
            $rows1 = $result->fetchAll(PDO::FETCH_ASSOC);
            
            foreach($rows1 as $row1)
            {
                $naslov = $row1['naslov'];
                if($imeCount == 0)
                    $string = $string."<tr><td>$naslov</td><td>$ime</td></tr>";
                else
                    $string = $string."<tr><td>$naslov</td></tr>";
                $imeCount++;
            }
        }
        return $string;
    }
    
    public function giveMeBooksByName($name)
    {
        $pisci = $this->giveMeWritersID();
        $string = "<tr><th>Knjiga</th><th>Pisac</th></tr>";
        foreach($pisci as $pisac)
        {
            $sql = "SELECT * FROM knjiga WHERE pisac_id = $pisac AND naslov LIKE '%$name%'";
            $result = $this->mysql->query($sql);
            $rows = $result->fetchAll(PDO::FETCH_ASSOC);
            
            $ime = $this->giveMeWriter($pisac);
            $imeCount = 0;
            foreach($rows as $row)
            {
                $naslov = $row['naslov'];
                if($imeCount == 0)
                    $string = $string."<tr><td>$naslov</td><td>$ime</td></tr>";
                else
                    $string = $string."<tr><td>$naslov</td></tr>";
                $imeCount++;
            }
        }
        return $string;
    }
    
    public function delete($id)
    {
        $sql = "DELETE FROM pisac WHERE id = $id";
        $sql2 = "DELETE FROM knjiga WHERE pisac_id = $id";
        
        $this->mysql->exec($sql);
        $this->mysql->exec($sql2);
        header("Location: index.php");
    }
}
