<?php
    require_once 'DB.php';
    session_start();
    $db = new DB();
    if(!isset($_SESSION['authorized']))
    {
        header("Location: login.php");
    }
    
    if(isset($_GET['giveMeWriter']))
    {
        echo $db->giveMeWriter($_SESSION['authorized']);
        return;
    }
    
    if(isset($_GET['giveMeBooks']))
    {
        echo $db->giveMeBooks();
        return;
    }
    
    if(isset($_GET['giveMeBooksByWriter']))
    {
        echo $db->giveMeBooksByWriter($_GET['writer']);
        return;
    }
    if(isset($_GET['giveMeBooksByName']))
    {
        echo $db->giveMeBooksByName($_GET['book']);
        return;
    }
    
    if(isset($_GET['deleteBook']))
    {
        $db->delete($_GET['writer']);
    }
?>

<html>
    <head>
        <title>Index za kolokvijum</title>
    </head>
    
    <body onload="giveMeWriter();giveMeBooks()">
        <p><b>Dobrodosli, <span id ="writer" style="color:red"></span>!</b></p><br>
        <h2>Pretraga biblioteke</h2><br>
        <input type="text" onkeyup="giveMeBooksByWriter()" placeholder = "Pretraga po piscu" id="pisac">
        <input type="text" onkeyup="giveMeBooksByName()" placeholder = "Pretraga po imenu" id="knjiga">
        
        <table id="tabela" border="1">
            
        </table>
    </body>
    
    <script>
        function giveMeWriter()
        {
            var xhttp = new XMLHttpRequest();
            xhttp.onreadystatechange = function() {
                if (this.readyState === 4 && this.status === 200) {
                    document.getElementById("writer").innerHTML = this.responseText;
                }
            };
            
            xhttp.open("GET", "index.php?giveMeWriter=1",true);
            xhttp.send();
        }
        
        function giveMeBooks()
        {
            var xhttp = new XMLHttpRequest();
            xhttp.onreadystatechange = function() {
                if (this.readyState === 4 && this.status === 200) {
                    document.getElementById("tabela").innerHTML = this.responseText;
                }
            };
            
            xhttp.open("GET", "index.php?giveMeBooks=1",true);
            xhttp.send();
        }
        function giveMeBooksByWriter()
        {
            var xhttp = new XMLHttpRequest();
            xhttp.onreadystatechange = function() {
                if (this.readyState === 4 && this.status === 200) {
                    document.getElementById("tabela").innerHTML = this.responseText;
                }
            };
            var pisac = document.getElementById("pisac").value;
            xhttp.open("GET", "index.php?giveMeBooksByWriter=1&writer="+pisac,true);
            xhttp.send();
        }
        function giveMeBooksByName()
        {
            var xhttp = new XMLHttpRequest();
            xhttp.onreadystatechange = function() {
                if (this.readyState === 4 && this.status === 200) {
                    document.getElementById("tabela").innerHTML = this.responseText;
                }
            };
            
            var knjiga = document.getElementById("knjiga").value;
            xhttp.open("GET", "index.php?giveMeBooksByName=1&book="+knjiga,true);
            xhttp.send();
        }
        
        function deleteBook(id)
        {
            var xhttp = new XMLHttpRequest();
           
            xhttp.open("GET", "index.php?deleteBook=1&writer="+id,true);
            xhttp.send();
        }
    </script>
</html>
