<?php
    require_once 'db.php';
    require_once 'Knjiga.php';
    $db= new Db();
    session_start();
    
    if(isset($_GET['pisac']))
    {
        $pisci = $db->pretragaPisac($_GET['pisac']);
        echo $pisci;
        return;
   
    }
    if(isset($_GET['knjiga']))
    {
        $knjige = $db->pretragaKnjiga($_GET['knjiga']);
        echo $knjige;
        return;
    }
    if(isset($_GET['sve']))
    {
        echo $db->dajSveKnjige();
        return;
    }
?>
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
        <script>
            function brisiKnjiga()
            {
                document.getElementById("knjiga").value = "";
                
            }
            function brisiPisac()
            {
                document.getElementById("pisac").value = "";
                
            }
            
            function pretragaPoPiscu()
            {
                
                var x = new XMLHttpRequest();
                x.onreadystatechange = function() {
                if (this.readyState == 4 && this.status == 200)
                {
                    pisci = JSON.parse(this.responseText);
                    tabela = "";
                    for(i=0;i<pisci.lenght;i++)
                    {
                        tabela+="<tr>";
                        tabela+="<td>"+pisci[i].naslov+"</td><td>"+pisci[i].pisacIme+" "+pisci[i].pisacPrezime+"</td>"
                        tabela+="</tr>";
                    }
                    document.getElementById("tabela").innerHTML = tabela;
                }}
                pisac = document.getElementById("pisac").value;
                x.open("get","index.php?pisac=$pisac",true);
                x.send();
                
            }
            function pretragaPoKnjizi()
            {
                var x = new XMLHttpRequest();
                x.onreadystatechange = function() {
                if (this.readyState == 4 && this.status == 200)
                {
                    knjige = JSON.parse(this.responseText);
                    tabela = "";
                    for(i=0;i<knjige.lenght;i++)
                    {
                        tabela+="<tr>";
                        tabela+="<td>"+knjige[i].naslov+"</td><td>"+knjige[i].pisacIme+" "+knjige[i].pisacPrezime+"</td>"
                        tabela+="</tr>";
                    }
                    document.getElementById("tabela").innerHTML = tabela;
                }}
                knjiga = document.getElementById("knjiga").value;
                x.open("get","index.php?knjiga",true);
                x.send();
                
            }
            function sveKnjige()
            {
                var x = new XMLHttpRequest();
                x.onreadystatechange = function()
                {
                    if (this.readyState == 4 && this.status == 200)
                    {
                        svi = JSON.parse(this.responseText);
                        tabela = "";
                        for(i=0;i<svi.lenght;i++)
                        {
                            tabela+="<tr>";
                            tabela+="<td>"+svi[i].naslov+"</td><td>"+svi[i].pisacIme+" "+svi[i].pisacPrezime+"</td>"
                            tabela+="</tr>";
                        }
                        document.getElementById("tabela").innerHTML = tabela;
                    }
                }
                
                x.open("get","index.php?sve",true);
                x.send();
            }
        </script>
    </head>
    <body onload="sveKnjige()">
        <?php
        if(!isset($_SESSION['korisnik']))            
            header("Location: login.php");
        ?>
        
        <p><?php echo "Dobrodosli,".$_COOKIE['ime']." ".$_COOKIE['prezime']."!"?></p>
        
        <h3>Pretraga biblioteke</h3>
        
        Pisac:<input type="text" id="pisac" onkeydown="brisiKnjiga()" onkeyup="pretragaPoPiscu()">
        Knjiga:<input type="text" id="knjiga" onkeydown="brisiPisac()" onkeyup="pretragaPoKnjizi()">
        
        <table id="tabela" border="1"></table>
        
        
        
    </body>
</html>
