<?php
session_start();
if(!$_SESSION['auth']){
    header("Location: login.php");
}

require_once 'biblioteka.php';
$db = new BibliotekaDB();

if(isset($_POST['poPiscu'])){
    echo json_decode($db->poPiscu($_POST['poPiscu']));
    return;
}

if(isset($_GET['poKnjizi'])){
    echo $db->poKnjizi($_GET['poKnjizi']);
    return;
}

if(isset($_GET['logout'])){
    session_destroy();
    header("Location: login.php");
    return;
}

echo "<h3>Dobrodosli, ".$_SESSION['name']."!</h3>";
?>

<head>
<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>
<div style="width: 100%">
<h2>Pretraga biblioteke</h2>
</div>
Pisac:<input type="text" onchange="searchPisac(this.value);">
Knjiga:<input type="text" onchange="searchKnjiga(this.value);">

<?php 
$knjige = $db->getKnjige();

echo "<table id='tab'>";
foreach($knjige as $k){
    echo "<tr>";
    echo "<td>".$k['naslov']."</td>";
    echo "<td>".$k['ime']." ".$k['prezime']."</td>";
    if($_SESSION['role'] == 'admin'){
        echo "<td>DELETE</td>";
    }
    echo "</tr>";
}
echo "</table>"
?>
<br>
<a href="index.php?logout">LOG OUT</a>
</body>

<script>
function searchPisac(imePisca){
    var tab = document.getElementById('tab');
    var str = "";

    var x = new XMLHttpRequest();
    x.onreadystatechange = function() {
        if(x.readyState == 4 && x.status == 200){
            var res = this.responseText;
            alert(res);
        }
    }

    x.open("POST","index.php", true);
    x.setRequestHeader("Content-type","application/x-www-form-urlencoded");
    x.send("poPiscu="+imePisca);
}
</script>