<?php
session_start();
require_once 'biblioteka.php';

$db = new BibliotekaDB();

if(isset($_GET['login'])){
    $username = $_GET['user'];
    $pass = $_GET['pass'];

    $user = $db->login($username, $pass);
    if($user){
        $_SESSION['auth'] = true;
        $_SESSION['name'] = $username." ".$pass;
        $_SESSION['role'] = $user['uloga'];
        setcookie("user", $username, time()+84600*2);
        if(isset($_GET['remember'])){
            setcookie("pass", $pass, time()+84600*2);
        }
        header("Location: index.php");
    }else{
        $_SESSION['auth'] = false;
        echo "<script> alert('Neuspesno ulogovanje!') </script>";
    }
}

$pisci = $db->getPisci();
?>

<head>
<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>
<form>

<div class='box'>
<?php
foreach($pisci as $pisac){
    echo "<input type='radio' name='pisac' value='".$pisac['id']."' id='p".$pisac['id']."' onchange='popuni('".$pisac['ime']."','".$pisac['prezime']."');'> ";
    echo "<label for='p".$pisac['id']."'>".$pisac['ime']." ".$pisac['prezime']."</label><br>";
}

?>
</div>
<div class="box">
Username:<br>
<input type="text" name="user" value="<?php if(isset($_COOKIE['user'])) echo $_COOKIE['user']; ?>" id="fname">
<br>
Password:<br>
<input type="text" name="pass" value="<?php if(isset($_COOKIE['pass'])) echo $_COOKIE['pass']; ?>" id="lname">
<br>
Zapamti lozinku <input type="checkbox" name="remember"><input type="submit" name="login" value="Posalji">
</div>
</form>
</body>

<script>
function popuni(ime, prezime){
    var x = document.getElementById('fname');
    x.value = ime;
    x = document.getElementById('lname');
    x.value = prezime;
    return;
}
</script>