<?php
    session_start();
    if(!isset($_SESSION['ath']))
        header("Location: login.php");
    
    require_once './Db.php';
    $db = new Db();
    
    $writer = $db->getWriterById($_SESSION['ath']);
    
    if(isset($_GET['logout'])) {
        session_destroy();
        header("Location: login.php");
    }
    
    if(isset($_GET['prikazi'])) {
        if($_GET['prikazi'] == 1) {
            echo $db->showTable();
            return;
        }
        if($_GET['prikazi'] == 2) {
            echo $db->showTableByWriter($_GET['kriterijum']);
            return;
        }
        if($_GET['prikazi'] == 3) {
            echo $db->showTableByBook($_GET['kriterijum']);
            return;
        }
    }
    
    if(isset($_GET['obrisi'])) {
        
    }
?>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Biblioteka</title>
        <style>
            #container {
                width: 100%;
            }
            #inner {
                width: 50%;
                margin: 0 25%;
                height: 900px;
                border: 1px solid black;
            }
            #welcome {
                margin-left: 30px;
            }
            #logout {
                margin-left: 30px;
            }
            #naslov {
                margin-left: 33%;
            }
            #input {
                margin-left: 22%;
            }
            #ispisTabela {
                margin-top: 40px;
                margin-left: 25%;
                border: 1px solid gray;
            }
        </style>
    </head>
    <body onload="prikaziTabelu()">
        <div id="container">
            <div id="inner">
                <h2 id="welcome">Dobrodosli, <?php echo $writer['ime']." ".$writer['prezime']; ?>!</h2>
                <h1 id="naslov">Pretraga biblioteke</h1>
                <div id="input">
                    Pisac:&nbsp;<input type="text" name="znakPisac" id="znakPisac" onfocus="znakPisac_focus()" onchange="prikaziTabelu()">
                    Knjiga:&nbsp;<input type="text" name="znakKnjiga" id="znakKnjiga" onfocus="znakKnjiga_focus()" onchange="prikaziTabelu()">
                </div>
                <table id="ispisTabela"></table>
                <p id="pp"></p>
                <a id="logout" href="index.php?logout">Logout</a>
            </div>
        </div>
    </body>
    <script>
        function obrisi(id) {
            window.location("index.php?obrisi=id");
        }
        function znakPisac_focus() {
            document.getElementById("znakKnjiga").value = "";
        }
        function znakKnjiga_focus() {
            document.getElementById("znakPisac").value = "";
        }
        
        function prikaziTabelu() {
            tabelaZaIspis = document.getElementById("ispisTabela");
            kriterijumPisac = document.getElementById("znakPisac").value;
            kriterijumKnjiga = document.getElementById("znakKnjiga").value;
            if(kriterijumPisac != "" && kriterijumKnjiga == "") {
                var ct = 2;
                kriterijum1 = kriterijumPisac;
            }
            else if(kriterijumPisac == "" && kriterijumKnjiga != "") {
                var ct = 3;
                kriterijum1 = kriterijumKnjiga;
            }
            else {
                var ct = 1;
                kriterijum1 = "";
            }           
            
            var xhttp = new XMLHttpRequest();
            xhttp.onreadystatechange = function() {
                if(xhttp.readyState == 4 && xhttp.status == 200) {
                    pisac = JSON.parse(xhttp.responseText);
                    sadrzaj = "";
                    for(i = 0; i < pisac.length; i++) {
                        sadrzaj += "<tr>";
                        brKnjiga = pisac[i].brojKnjiga;
                        sadrzaj += pisac[i].ime + " " + pisac[i].prezime;
                        /*
                        for(j = 0; j < brKnjiga; j++) {
                            sadrzaj += "<td>";
                            
                            sadrzaj += pisac[j].knjiga;
                            
                            sadrzaj += "</td>";
                        }
                        */
                        if(pisac[i].uloga == 1) {
                            sadrzaj += "<button id='"+pisac[i].id+"' onclick='obrisi(this.id)'>-</button>";
                        }
                        sadrzaj += "</tr>";
                    }
                    tabelaZaIspis.innerHTML = sadrzaj;
                }
            };
            xhttp.open("GET", "index.php?prikazi="+ct+"&kriterijum="+kriterijum1, true);
            xhttp.send();
        }
    </script>
</html>
