<?php
    require_once './Db.php';
    $db = new Db();
    
    $writers = $db->getAllWriters();
    
    if(isset($_GET['login'])) {
        $user = $_GET['user'];
        $pass = $_GET['pass'];
        
        $korisnik = $db->loginCheck($user, $pass);
        
        if($korisnik) {
            session_start();
            setcookie("user", $user, time() + 86400 * 2);
            if(isset($_GET['zapamti']))
                setcookie ("pass", $pass, time() + 86400 * 2);
            $_SESSION['ath'] = $korisnik['id'];
            header("Location: index.php");
        }
        else
            echo "<p style='color:red'>Losa kombinacija username/passwrod</p>";
    }
?>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Login</title>
    </head>
    <body>
        <div>
            <?php
            foreach($writers as $writer) {
            ?>
            <input type="radio" name="pisci" id="<?php $writer['id']; ?>" value="<?php echo $writer['ime']."-".$writer['prezime']; ?>" onchange="radioOption(value)">
            <?php echo $writer['ime']." ".$writer['prezime']; ?>
            <br>
            <?php
            }
            ?>
        </div>
        <form method="get">
            Username:<br>
            <input type="text" id="user" name="user"><br>
            Password:<br>
            <input type="text" id="pass" name="pass"><br>
            Zapamti lozinku:
            <input type="checkbox" name="zapamti">
            <input type="submit" name="login" value="Posalji">
        </form>
    </body>
    <script>
        function radioOption(pisci) {
            var punoIme = pisci.split("-");
            var ime = punoIme[0].trim();
            var prezime = punoIme[1].trim();
            document.getElementById("user").value = ime;
            document.getElementById("pass").value = prezime;
        }
    </script>
</html>
