<?php


class db{
    const host='localhost';
    const user='root';
    const pass='';
    const dbname='biblioteka';
    
    private $dbh;
    
    public function __construct() {
        try{
            $string = "mysql:host=".self::host.";dbname=".self::dbname;
            $this->dbh = new PDO($string, self::user, self::pass);
        } catch (Exception $ex) {
            die("Greska pri konekciji sa bazom");
        }
    }

    public function __destruct() {
        $this->dbh=null;
    }
    
    public function getAllPisce()
    {
        $sql = "select * from pisac";
        $upit = $this->dbh->query($sql);
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function login()
    {
        $username = $_GET['username'];
        $password = $_GET['password'];
        
        $sql = "select * from pisac where ime='$username' and prezime='$password'";
        $upit = $this->dbh->query($sql);
        return $upit->fetch(PDO::FETCH_ASSOC);
    }
    
    public function getPisacById($id)
    {
        $sql = "select * from pisac where id=$id";
        $upit = $this->dbh->query($sql);
        return $upit->fetch(PDO::FETCH_ASSOC);
    }
    
    public function getKnjigePoPiscu($id)
    {
        $sql = "select * from knjiga where pisac_id = $id";
        $upit = $this->dbh->query($sql);
        return $upit->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function PoPiscu($vred)
    {
        $sql = "SELECT id pisac_id, pisac.* FROM pisac WHERE ime like '%$vred%' or prezime like '%$vred%'";
        $upit = $this->dbh->query($sql);
        $pisac = $upit->fetchAll(PDO::FETCH_ASSOC);
        $pisci = [];
        foreach($pisac as $p)
        {
            $knjige = $this->getKnjigePoPiscu($p['id']);
            $niz = [];
            foreach($knjige as $k)
            {
                $niz[] = new knjiga($k['naslov']);
            }
            $pisci[] = new pisacIKnjige($p['id'], $p['ime'], $p['prezime'], $niz, $p['id']);
        }
        echo json_encode($pisci);
    }
    
    public function PoKnjizi($vred)
    {
        $sviPisci = $this->getAllPisce();
        $pisci=[];
        foreach($sviPisci as $sp)
        {
            $sql = "select * from knjiga where naslov like '%$vred%' and pisac_id=".$sp['id'];
            $upit = $this->dbh->query($sql);
            $knjige = $upit->fetchAll(PDO::FETCH_ASSOC);
            if($knjige)
            {
                $niz = [];
                foreach($knjige as $k)
                {
                    $niz[] = new knjiga($k['naslov']);
                }
                $pisci[] = new pisacIKnjige($sp['id'], $sp['ime'], $sp['prezime'], $niz, $sp['id']);
            }
        }
        echo json_encode($pisci);
    }
    
    public function Obrisi(){
        $sql = "delete from pisac where id=".$_GET['id'];
        $this->dbh->exec($sql);
        
        $sql = "delete from knjiga where pisac_id=".$_GET['id'];
        $this->dbh->exec($sql);
    }
    
}



class pisacIKnjige{
    public $id;
    public $ime;
    public $prezime;
    public $naslovi = [];
    public $pisac_id;
    
    public function __construct($id, $ime, $prezime, $naslov, $pisac_id) {
        $this->id = $id;
        $this->ime = $ime;
        $this->prezime = $prezime;
        $this->naslovi = $naslov;
        $this->pisac_id = $pisac_id;
    }
}

class knjiga{
    public $naziv;
    
    public function __construct($naziv) {
        $this->naziv = $naziv;
    } 
   
}








?>
