<?php
session_start();
if(!isset($_SESSION['autorizovan']))
    header("Location: login.php");

if(isset($_GET['odjava']))
{
    session_destroy();
    header("Location: login.php");
}
require_once './db.php';
$db = new db();

if(isset($_GET['PoPiscu']))
{
    $db->PoPiscu($_GET['polje']);
    return;
}

if(isset($_GET['PoKnjizi']))
{
    $db->PoKnjizi($_GET['polje']);
    return;
}
if(isset($_GET['Obrisi']))
{
    $db->Obrisi();
    return;
}
?>
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
        <script>
            function PretragaPoPiscu(vrednost)
            {
                x = new XMLHttpRequest();
                
                x.onreadystatechange = function(){
                    if(x.status == 200 && x.readyState == 4)
                    {
                        knjige = JSON.parse(x.responseText);
                        string = "<table border=1>"
                        for(i=0; i<knjige.length; i++)
                        {
                            for(j=0; j<knjige[i].naslovi.length; j++)
                            {
                                string += "<tr><td>"+knjige[i].naslovi[j].naziv+"</td>"
                                if(j==0)
                                    string += "<td rowspan='"+knjige[i].naslovi.length+"'>"+knjige[i].ime+" "+knjige[i].prezime+"</td>";
                                string += "</tr>";
                            }
                        }
                        document.getElementById('tabela').innerHTML = string+"</table>";
                    }
                    
                }
                x.open("GET", "index.php?PoPiscu&polje="+vrednost, true);
                x.send();
            }
            
            function PretragaPoKnjizi(vrednost)
            {
                x = new XMLHttpRequest();
                
                x.onreadystatechange = function(){
                    if(x.status == 200 && x.readyState == 4)
                    {
                        knjige = JSON.parse(x.responseText);
                        string = "<table border=1>"
                        for(i=0; i<knjige.length; i++)
                        {
                            for(j=0; j<knjige[i].naslovi.length; j++)
                            {
                                string += "<tr><td>"+knjige[i].naslovi[j].naziv+"</td>"
                                if(j==0)
                                    string += "<td rowspan='"+knjige[i].naslovi.length+"'>"+knjige[i].ime+" "+knjige[i].prezime+"</td>";
                                string += "</tr>";
                            }
                        }
                        document.getElementById('tabela').innerHTML = string+"</table>";
                    }
                    
                }
                x.open("GET", "index.php?PoKnjizi&polje="+vrednost, true);
                x.send();
            }
            function PretragaPoPiscuAdmin(vrednost)
            {
                x = new XMLHttpRequest();
                
                x.onreadystatechange = function(){
                    if(x.status == 200 && x.readyState == 4)
                    {
                        console.log(x.responseText);
                        knjige = JSON.parse(x.responseText);
                        string = "<table border=1>"
                        for(i=0; i<knjige.length; i++)
                        {
                            for(j=0; j<knjige[i].naslovi.length; j++)
                            {
                                string += "<tr><td>"+knjige[i].naslovi[j].naziv+"</td>"
                                if(j==0)
                                    string += "<td rowspan='"+knjige[i].naslovi.length+"'>"+knjige[i].ime+" "+knjige[i].prezime+"</td><td><button onclick='Obrisi("+knjige[i].id+");' value='Obrisi'></td>";
                                string += "</tr>";
                            }
                        }
                        document.getElementById('tabela').innerHTML = string+"</table>";
                    }
                    
                }
                x.open("GET", "index.php?PoPiscu&polje="+vrednost, true);
                x.send();
            }
            
            function PretragaPoKnjiziAdmin(vrednost)
            {
                x = new XMLHttpRequest();
                id = -1;
                x.onreadystatechange = function(){
                    if(x.status == 200 && x.readyState == 4)
                    {
                        console.log(x.responseText);
                        knjige = JSON.parse(x.responseText);
                        string = "<table border=1>"
                        for(i=0; i<knjige.length; i++)
                        {
                            for(j=0; j<knjige[i].naslovi.length; j++)
                            {
                                string += "<tr><td>"+knjige[i].naslovi[j].naziv+"</td>"
                                if(j==0)
                                    string += "<td rowspan='"+knjige[i].naslovi.length+"'>"+knjige[i].ime+" "+knjige[i].prezime+"</td><td style='padding:0px;'><button onclick='Obrisi("+knjige[i].id+");' value='Obrisi'></td>";
                                string += "</tr>";
                            }
                        }
                        document.getElementById('tabela').innerHTML = string+"</table>";
                    }
                    
                }
                x.open("GET", "index.php?PoKnjizi&polje="+vrednost, true);
                x.send();
            }
            function Obrisi(id)
            {
                x = new XMLHttpRequest();
                x.onreadystatechange = function(){
                    if(x.status == 200 && x.readyState == 4)
                    {
                        document.getElementById('1').value="";
                        document.getElementById('2').value="";
                        PretragaPoKnjiziAdmin("");
                    }
                    
                }
                x.open("GET", "index.php?Obrisi&id="+id, true);
                x.send();
            }
        </script>
        <style>
            td{
                padding:10px;
            }
        </style>
    </head>
    <body onload="PretragaPoPiscu<?php if(isset($_SESSION['admin'])) echo 'Admin'?>('');">
        <?php
            $trenutniPisac = $db->getPisacById($_SESSION['autorizovan']);
            echo "<h2>Dobrodosli, ".$trenutniPisac['ime']." ".$trenutniPisac['prezime']."</h2>"
        ?>
        
        <h1>Pretraga biblioteke</h1>
        Pisac: <input type="text" id='1' onkeyup="PretragaPoPiscu<?php if(isset($_SESSION['admin'])) echo 'Admin'?>(this.value);"> Knjiga: <input type="text" id='2' onkeyup="PretragaPoKnjizi<?php if(isset($_SESSION['admin'])) echo 'Admin'?>(this.value);">
        <br><br><div id="tabela">
            
        </div><br>
        
        
        <form>
            <input type="submit" name="odjava" value="Odjava">
        </form>
    </body>
</html>
