<?php
    require_once './db.php';
    $db = new Db();
    
    $pisci = $db->DajSvePisce();
    
    if(isset($_GET['popuni']))
    {
        echo $db->DajPiscaByIDAJAX($_GET['popuni']);
        return;
    }
    
    if(isset($_POST['prijava']))
    {
        $korisnik = $db->logovanje($_POST['ime'], $_POST['prezime']);
        
        if($korisnik)
        {
            session_start();
            setcookie("user", $_POST['ime'], time() + 86400 * 2);
            if(isset($_POST['zapamti']))
                setcookie ("pass", $_POST['prezime'], time () + 86400 * 2);
            
            $_SESSION['prijavljen'] = $korisnik['id'];
            header("Location: index.php");
        }
        else
        {
            echo "<p style='color: red'>Neispravna kombinacija username/lozinka</p>";
        }
    }
?>

<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
    </head>
    <body>
        
        <div style="margin-right: 100px; float: left">
            <?php
            foreach ($pisci as $pisac) {
            ?>
            <input type="radio" id="cek" value="<?php echo $pisac['id']; ?>" onchange="Popuni(<?php echo $pisac['id']; ?>);" />
            <span><?php echo $pisac['ime']." ".$pisac['prezime']; ?></span><br />
            <?php
            }
            ?>
        </div>
        
        <div style="float: left">
            <form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
                Username: <br />
                <input type="text" id="ime" name="ime" value="<?php if(isset($_COOKIE['user'])) echo $_COOKIE['user']; ?>"/><br/>
                Password:<br />
                <input type="text" id="prezime" name="prezime" value="<?php if(isset($_COOKIE['pass'])) echo $_COOKIE['pass']; ?>" /><br />
                Zapamti lozinku <input type="checkbox" name="zapamti">
                <input type="submit" name="prijava" value="Posalji">
            </form>
        </div>
    </body>
    
    <script>
        function Popuni(id)
        {
            var x = new XMLHttpRequest();
            x.onreadystatechange = function ()
            {
                if(x.readyState == 4 && x.status == 200)
                {
                    korisnik = JSON.parse(x.responseText);
                    
                    document.getElementById("ime").value = korisnik.ime;
                    document.getElementById("prezime").value = korisnik.prezime;
                }
            };
            x.open("GET", "login.php?popuni="+id, true);
            x.send();
        }
    </script>
</html>
