<?php

class User{
    private $id;
    private $ime;
    private $prezime;
    private $uloga;
    
    function __construct($id, $ime, $prezime, $user) {
        $this->id = $id;
        $this->ime =$ime;
        $this->prezime = $prezime;
        $this->uloga = $user;
    }
}

class Knjiga{
    private $id;
    private $naslov;
    private $dat_izdavanja;
    private $pisac_id;
    
    function __construct($id, $naslov, $dat_izdavanja, $user) {
        $this->id = $id;
        $this->naslov =$naslov;
        $this->dat_izdavanja = $dat_izdavanja;
        $this->pisac_id = $user;
    }
    
}

class Database{
    
    const host = "localhost";
    const user = "root";
    const pass = "";
    const db = "biblioteka";
    
    private $dbh;
    
    function __construct() {
        try{
         
            $konekcion_string = "mysql:host=".self::host.";dbname=".self::db;
            $this->dbh = new PDO($konekcion_string, self::user, self::pass);
            
        } catch (Exception $ex) {
            die("Greska");
        }
    }
    
    function __destruct() {
        $this->dbh = null;
    }
    function Login($ime, $prezime){
        $sql = "select * from pisac where ime='$ime' and prezime='$prezime'";
        $pdo = $this->dbh->query($sql);
        return $pdo->fetch(PDO::FETCH_ASSOC);
    }
    function getUsers(){
        $sql = "select * from pisac ";
        $pdo = $this->dbh->query($sql);
        return $pdo->fetchALL(PDO::FETCH_ASSOC);
    }
    function getBooks( $naslov, $autor){
        $sql = "select * from knjiga";
        if($naslov != ""){
            $sql += "k join pisac p on k.pisac_id on k.pisac_id = p.id where k.naslov = '$naslov'";
        }
        else if($autor != ""){
            $sql += "k join pisac p on k.pisac_id = p.id where p.ime='$autor'";
        }
        
        $pdo = $this->dbh->query($sql);
        $niz = $pdo->fetchAll(PDO::FETCH_ASSOC);
        
        
        return json_encode($niz);
    }
    function getUser($id){
        $sql = "select * from pisac id = '$id'";
        $pdo = $this->dbh->query($sql);
        return json_encode($pdo->fetch(PDO::FETCH_ASSOC));
    }
    
    function Delete($id){
        $sql = "select * from knjiga where pisac_id = '$id'";
        $pdo = $this->dbh->query($sql);
        $niz = $pdo->fetchAll(PDO::FETCH_ASSOC);
        
        foreach ($niz as $knjiga){
            $sql = "delete from knjiga where pisac_id = ".$knjiga['id'];
            $this->dbh->query($sql);
        }
        
        $sql = "delete from pisac where id=$id";
        $this->dbh->query($sql);
        return;
    }
}


?>
