<?php
session_start();
if(!isset($_SESSION['auth'])){
    header("Location: login.php");
}

require_once 'db.php';
$db = new Db();

$korisnik = $db->dajPiscaById($_SESSION['auth']);

if(isset($_GET['naslov'])){
    $knjige_json = $db->dajSveKnjige();
    echo $knjige_json;
}
 
if(isset($_GET['logout'])){
    setcookie('user', 1, time() - 1);
    setcookie('pass', 1, time() - 1);
    setcookie('role', 1, time() - 1);
    session_destroy();
    header("Location: login.php");
}

if(isset($_GET['obrisi'])){
    $idBrisanje = $_GET['obrisi'];
    $db->obrisiPisca($idBrisanje);
}
?>
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
    </head>
    <body onload="ucitajKnjige('')">
        <?php
            echo "<h3>Dobrodosli, ".$korisnik['ime']." ".$korisnik['prezime']."!</h3>";
        ?>
        <a href="index.php?logout">Odjavi se</a>
        <h1>Pretraga biblioteke</h1>
        Pisac: <input type="text" onkeyup="pretraziPisce()" id="pisacSearch"> 
        Knjiga: <input type="text" onkeyup="pretraziKnjige()" id="knjigaSearch"><br>
        <table id="sveKnjige">
            
        </table>
    </body>
    <script>
        var knjige;
        function pretraziKnjige(){
            var knjiga = document.getElementById("knjigaSearch").value;
            ucitajKnjige(knjiga);
        }
        
        function pretraziPisce(){
            ucitajKnjige('');
        }
        
        function ucitajKnjige(naslov){
            var sadrzaj = "";
            x = new XMLHttpRequest();
            
            x.onreadystatechange = function(){
                if(x.readyState == 4 && x.status == 200){
                    knjige = JSON.parse(x.responseText);
                   
                    for(var i=0;i<knjige.length;i++){
                        sadrzaj+="<tr>";
                        for(var j=0;j<knjige[i].knjigep.length;i++){
                            sadrzaj+="<td>" + knjige[i].knjigep[j].naslov+"</td>";
                        }
                        sadrzaj+="<td rowspan="+ knjige[i].knjigep.length + ">"+knjige[i].ime + " " + knjige[i].prezime +"</td>"; 
                        <?php
                        if($_COOKIE['role'] == 'admin'){
                        ?>
                           sadrzaj+="<td><a href='index.php?obrisi="+knjige[i].id_pisca+"'>"+ OBRISI +"</a></td>";                 
                        <?php 
                        }
                        ?>
                        sadrzaj+="</tr>";
                    }
                    
                    
                }
                    
            }
            
            
            x.open("get", "index.php?naslov="+naslov, true);
            x.send();
        }
    </script>
</html>
