<?php
require_once 'db.php';
$db = new Db();

$pisci = $db->dajSvePisce();

if(isset($_GET['login'])){
    $user = $_GET['user'];
    $pass = $_GET['pass'];
    
    $korisnik = $db->proveriKorisnika($user, $pass);
    if($korisnik){
        session_start();
        setcookie("user", $user, time() + 3600 * 24 * 2);
        if(isset($_GET['remember']))
            setcookie("pass", $pass, time() + 3600 * 24 * 2);
        setcookie("role", $korisnik['uloga'], time() + 3600 * 24 * 2);
        $_SESSION['auth'] = $korisnik['id'];
        header("Location: index.php");
    }
    else{
        echo "<p style='color:red'>Invalid username/password!</p>";
    }
}

?>
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
        <style>
            body {
                text-align: left;
            }
            
            #container {
                display: flex;
            }
            
            .box {
                text-align: left;
                margin: auto;
                padding: auto;
                width: 25vw;
            }
        </style>
    </head>
    <body>
        <div id="container">
            <div class="box">
                
                <?php
                    foreach($pisci as $pisac){
       
                ?>
                <input type="radio" name="radio" onclick="popuniLogin(this);" id="<?php echo $pisac['id']; ?>" value="<?php echo $pisac['ime']." ".$pisac['prezime'];?>">
                    <?php echo $pisac['ime']." ".$pisac['prezime'];?><br>
                <?php
                        }
                ?>
                
            </div>
            <div class="box">
                <form>
                    Username:<br>
                    <input type="text" name="user" id="user" value="<?php if(isset($_COOKIE['user'])) echo $_COOKIE['user']; ?>"><br>
                    Password:<br>
                    <input type="text" name="pass" id="pass" value="<?php if(isset($_COOKIE['pass'])) echo $_COOKIE['pass']; ?>"><br>
                    Zapamti lozinku <input type="checkbox" name="remember">
                    <input type="submit" name="login" value="Posalji">
                </form>
            </div>
        </div>
    </body>
    <script>
        function popuniLogin(radio){
            var ime = radio.value;
            document.getElementById('user').value = ime.split(' ')[0];
            document.getElementById('pass').value = ime.split(' ')[1];
        }
    </script>
</html>