

<?php
    class PisacDelo
    {
        public $id;
        public $punoIme;
        public $naslovDela;
        public function __construct($id,$punoIme,$naslovDela) {
            $this->id = $id;
            $this->punoIme = $punoIme;
            $this->naslovDela = $naslovDela;
        }
    }
    class DB
    {
        private $db;
        public function __construct() {
            $constr = "mysql:host=localhost;dbname=biblioteka;";
            $this->db = new PDO($constr,"root","");
        }
        public function __destruct() {
            $this->db=null;
        }
        public function fetchAllPisci()
        {
            $sql = "select * from pisac";
            $rs = $this->db->query($sql);
            $rez = $rs->fetchAll(PDO::FETCH_ASSOC);
            return $rez;
        }
        public function fetchPisacById($id)
        {
            $sql = "select * from pisac where id=$id";
            $rs = $this->db->query($sql);
            $rez = $rs->fetchAll(PDO::FETCH_ASSOC);
            return $rez[0];
        }
        public function loginTest($ime,$prezime)
        {
            $sql = "select * from pisac where ime = '$ime' and prezime = '$prezime'";
            $rs = $this->db->query($sql);
            $rez = $rs->fetchAll(PDO::FETCH_ASSOC);
            if(count($rez)>0) return $rez[0];
            else return null;
        }
        #select pisac.id,count(pisac.id) from pisac join knjiga on pisac.id = knjiga.pisac_id
        public function sveKnjigeByPisac($pisac=null)
        {
            if(!isset($pisac))
                $sql = "select pisac.id,pisac.ime,pisac.prezime,knjiga.naslov from knjiga join pisac on pisac.id = knjiga.pisac_id";
            else
                $sql = "select pisac.id,pisac.ime,pisac.prezime,knjiga.naslov from knjiga join pisac on pisac.id = knjiga.pisac_id where pisac.ime like '%$pisac%' or pisac.prezime like '%$pisac%'";
            
            $rs = $this->db->query($sql);
            $rez = $rs->fetchAll(PDO::FETCH_ASSOC);
            $array = [];
            foreach($rez as $item)
            {
                $array[]=new PisacDelo($item['id'],$item['ime']." ".$item['prezime'],$item['naslov']);
            }
            $jsonArray = json_encode($array);
            return $jsonArray;
                    
        }
        
        public function sveKnjigeByPisac_2($knjiga=null)
        {
            if(!isset($knjiga))
                $sql = "select pisac.id,pisac.ime,pisac.prezime,knjiga.naslov from knjiga join pisac on pisac.id = knjiga.pisac_id";
            else
                $sql = "select pisac.id,pisac.ime,pisac.prezime,knjiga.naslov from knjiga join pisac on pisac.id = knjiga.pisac_id where knjiga.naslov like '%$knjiga%'";
            
            $rs = $this->db->query($sql);
            $rez = $rs->fetchAll(PDO::FETCH_ASSOC);
            $array = [];
            foreach($rez as $item)
            {
                $array[]=new PisacDelo($item['id'],$item['ime']." ".$item['prezime'],$item['naslov']);
            }
            $jsonArray = json_encode($array);
            return $jsonArray;
                    
        }
        public function izbrisiPisca($id)
        {
            $sql = "delete from pisac where id = $id";
            $this->db->exec($sql);
        }
    }
?>
