<?php 
require_once './db.php';
$db = new Db();

session_start();


if(!isset($_SESSION['auth'])) {
    header("Location: login.php");
}

$user = $db->getUserById($_SESSION['auth']);

if(isset($_GET['user'])) {
    echo json_encode($db->getUserById($_SESSION['auth']));
    return;
}

if(isset($_GET['logout'])) {
    session_destroy();
    setcookie("user", "", -1000, "/");
    setcookie("upass", "", -1000, "/");
    header("Location: login.php");
}

if(isset($_GET['delete'])) {
    $db->deletePisce($_GET['id']);
    //$db->deleteBooksByWrittersId($_GET['id']);
    echo true;
    return;
}

if(isset($_GET['table'])) {
    echo json_encode($db->getAllBooksAndWritters($_GET['ime'], $_GET['prezime'], $_GET['naslov']));
    return;
}



?>
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
    </head>
    <body onload="fetchData();">
        <input type="hidden" id="hideInput" value="<?php echo $user['uloga']; ?>" />
        <h2 id="welcomeHeader"></h2>
        <h1>Pretraga biblioteke</h1>
        Pisac: 
        <input oninput="onchangeHandler();" type="text" id="pisacInput" />
        Knjiga: 
        <input oninput="onchangeHandler();" type="text" id="knjigaInput" />
        
        <br><br>
        
        <table border="1" id="table"></table>
        
        <br><br><br>
        <a href="index.php?logout">LOGOUT</a>
    <script src="app.js">
    </script>
    </body>
    
</html>
