<?php
require_once './db.php';
$db = new Db();

session_start();
$pisci = $db->getAllWritters();

if(isset($_GET['fetch'])) {
    echo json_encode($db->getUserById($_GET['id']));
    return;
}

$error = false;

if(isset($_GET['login'])) {
    $current = $db->getUserByUsernameAndPassword($_GET['username'], $_GET['password']);
    if($current) {
        $_SESSION['auth'] = $current['id'];
        setcookie("user", $_GET['username'], 86400 * 2, "/");
        if(isset($_GET['zapamti'])) {
            setcookie("upass", $_GET['password'], 86400 * 2, "/");
        }
        
        //echo "Logged in";
        header("Location: index.php");
    }
    else {
        $error = true;
    }
}

?>
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
    </head>
    <body>
        <div class="radioDiv" style="width: 300px; height:800px; float:left;">
            <?php
            foreach ($pisci as $pisac) {
            ?>
            <input type="radio" name="pisac" value="<?php echo $pisac['id']; ?>" onclick="radioButtonClickHandler(<?php echo $pisac['id']; ?>);" />
            <?php echo $pisac['ime'] . ' ' .$pisac['prezime']; ?>
            <br>
            <?php } ?>
        </div>
        <form>
            Username: <br>
            <input type="text" name="username" id="userInput" />
            <br>
            Password: <br>
            <input type="text" name="password" id="passInput" />
            <br>
            <input type="checkbox" name="zapamti"  /> Zapamti
            <br>
            <input type="submit" name="login" value="Login" />
            <br>
            <?php if($error) echo "Losi kredencijali"; ?>
        </form>
        
        
        <script>
        const userInput = document.getElementById('userInput');
        const passInput = document.getElementById('passInput');
        
        const radioButtonClickHandler = async (id) => {
            const res = await fetch(`login.php?fetch=&id=${id}`);
            const user = await res.json();
            
            userInput.value = user.ime;
            passInput.value = user.prezime;
        }
        </script>
    </body>
</html>