<?php

class Pisac
{
    public $id;
    public $ime;
    public $prezime;
    public $uloga;
    public $knjige;
    
    public function __construct($id,$ime,$prezime,$uloga,$knjige) {
        $this->id=$id;
        $this->ime=$ime;
        $this->prezime=$prezime;
        $this->uloga=$uloga;
        $this->knjige=$knjige;
    }
}

class Knjiga
{
    public $id;
    public $naslov;
    
    public function __construct($id,$naslov) {
        $this->id=$id;
        $this->naslov=$naslov;
    }
}

class DB
{
    const host='localhost';
    const user='root';
    const dbanme='biblioteka';
    const pass='';
    
    private $mysql;
    
    public function __construct() {
        $str="mysql:host=".self::host.";dbname=".self::dbanme;
        $this->mysql=new PDO($str, self::user, self::pass);
    }
    
    public function __destruct() {
        $this->mysql=null;
    }
    
    public function getPisce($id=0)
    {
        $query='select * from pisac';
        if($id!=0)
        {
            $query.=" where id=$id";
        }
        //die($query);
        $res= $this->mysql->query($query);
        //die($res);
        return $res->fetchAll(PDO::FETCH_ASSOC);
    }
    
    public function proveriUsera($username,$password)
    {
        $query="select * from pisac where ime='$username' and prezime='$password'";
        $res= $this->mysql->query($query);
        return $res->fetch(PDO::FETCH_ASSOC);
    }
    
    public function pretraga($pisac='',$knjiga='')
    {
        $upit="select * from pisac";
        if($pisac!='')
        {    $upit.=" where ime like '%$pisac%' or prezime like '%$pisac%'";}
        $res= $this->mysql->query($upit);
        $pisci=$res->fetchAll(PDO::FETCH_ASSOC);
        
        $writers=[];
        foreach ($pisci as $p)
        {
            $query="select * from knjiga where pisac_id=".$p['id'];
            if($knjiga!='')
            {    $query.=" and naslov like '%$knjiga%'";}
            $res= $this->mysql->query($query);
            $knjige=$res->fetchAll(PDO::FETCH_ASSOC);

            $books=[];
            foreach ($knjige as $k)
                $books[]=new Knjiga($k['id'], $k['naslov']);
            
            $writers[]=new Pisac($p['id'], $p['ime'], $p['prezime'], $p['uloga'], $books);
        }
        return json_encode($writers);
    }
    
    public function obrisi($idPisac)
    {
        $query="delete from knjiga where pisac_id=$idPisac";
        $this->mysql->query($query);
        
        $upit="delete from pisac where id=$idPisac";
        $this->mysql->query($upit);
    }
}
