<?php
    require_once './db.php';
    $db=new DB();
    
    session_start();
    
    if(!isset($_SESSION['admin']))
    {
        header("Location: login.php");
    }
    else $korisnik=$db->getPisce($_SESSION['admin'])[0];
    
    if(isset($_GET['pisac']) || isset($_GET['knjiga']))
    {
        echo $db->pretraga($_GET['pisac'], $_GET['knjiga']);
       // echo $db->pretraga("","");
        return;
    }
    
    if(isset($_GET['obrisiID']))
    {
        echo $db->obrisi($_GET['obrisiID']);
        return;
    }
    
    if(isset($_GET['logout']))
    {
        setcookie('user', NULL, time()-9);
        setcookie('pass', NULL, time()-9);
        session_destroy();
        header("Location: login.php");
    }
?>

<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
    </head>
    <body onload="pretraga()">
        <b>Dobrodosli, <?php echo $korisnik['ime']." ".$korisnik['prezime']; ?></b>
        <br>
        <a href="index.php?logout=">Odjavi se</a>
        <br>
        <h1>Pretraga</h1> <br><br>
        Pisac: <input type="text" name="pisac" id="pisac" onkeyup="pretraga()">
        Knjiga: <input type="text" name="knjiga" id="knjiga" onkeyup="pretraga()">
        <br>
        <br>
        
        <table id="table"></table>
    </body>
    
    <script>
        function pretraga()
        {
            var x=new XMLHttpRequest();
            sadrzaj='';
            x.onreadystatechange=function()
            {
                            //alert("paaa");

                if(x.readyState==4 && x.status==200)
                {
                    pisci=JSON.parse(x.responseText);
                    
                    for(j=0;j<pisci.length;j++)
                    {
                       for(i=0;i<pisci[j].knjige.length;i++)
                        {
                            sadrzaj+="<tr>";
                            sadrzaj+="<th>"+pisci[j].knjige[i].naslov+"</th>";
                            sadrzaj+="<th>"+pisci[j].ime+" "+pisci[j].prezime+"</th>";
    
                            if(<?php if($korisnik['uloga']=='admin') echo true; else false ?>)
                                sadrzaj+="<th><input type='button' value='del' id='del' onclick='obrisi("+pisci[j].id+")'></th>";
//              
    <?php   
//        if($korisnik['uloga'] == 'admin')
//                                echo "<input type='button' id='del' onclick='obrisi("+pisci[j].id+")'>";
//          
    ?>                        
//    if(pisci[j].uloga == 'admin')
//                                sadrzaj+="<th><input type='button' value='del' id='del' onclick='obrisi("+pisci[j].id+")'></th>";
//              
                            sadrzaj+="</tr>";
                        } 
                    }
                    document.getElementById('table').innerHTML=sadrzaj;
                }
            };
            
            pisac=document.getElementById('pisac').value;
            knjiga=document.getElementById('knjiga').value;
            //alert(pisac);
            x.open("GET","index.php?pisac="+pisac+"&knjiga="+knjiga,true);
            x.send();
        }
        
        function obrisi(id)
        {
            var x=new XMLHttpRequest();
            sadrzaj='';
            x.onreadystatechange=function()
            {
                if(x.readyState==4 && x.status==200)
                {
                    pretraga();
                }
            };
            x.open("GET","index.php?obrisiID="+id,true);
            x.send();
        }
    </script>
</html>
