<?php
session_start();
require_once './biblioteka_db.php';
$base = new Biblioteka();
$pisci = $base->GetAllPisac();


if (isset($_GET['logout']))
{
    session_destroy();
    echo "<script>window.location='login.php'</script>";
}

if (isset($_GET['dajKnjige']) && isset($_GET['pisac'])) {
    echo $base->SearchBooksP($_GET['pisac']);
    return;
}

if (isset($_GET['dajKnjige']) && isset($_GET['knjiga'])) {
    echo $base->SearchBooks($_GET['knjiga']);
    return;
}

if (isset($_GET['dajKnjige'])) {
    echo $base->SearchBooks();
    return;
}
?>
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>

    </head>
    <body onload="posaljiZahtev()">
        <?php
        if (isset($_SESSION['autorizovan'])) {
            $pisac = $base->GetPisacById($_SESSION['autorizovan']);
            echo "<h3>Dobrodosli, " . $pisac['ime'] . " " . $pisac['prezime'] . "!</h3>";
            echo "<h2>Pretraga biblioteke</h2>";
            echo "Pisac: ";
            echo "<input type='text' id='tb_p' onkeyup='posaljiZahtev(1)'>";
            echo "Kniga: ";
            echo "<input type='text' id='tb_k' onkeyup='posaljiZahtev(2)'>";
            echo "<table id='knjige' border=1></table><br>";
            
            
            echo "<form><input type='submit' name='logout' value='logout'></form>";
        } else {
            echo "<script>window.location='login.php'</script>";
        }
        ?>
    </body>
    <script>
        function posaljiZahtev(a)
        {
            
            var putanja = "index.php?dajKnjige=1";
            if (a == 1) {
                putanja += "&pisac=" + document.getElementById('tb_p').value;
            } else if (a == 2) {
                putanja += "&knjiga=" + document.getElementById('tb_k').value;
            }
            var xhttp = new XMLHttpRequest();
            xhttp.onreadystatechange = function () {
                if (this.readyState == 4 && this.status == 200) {
                    sveKnjige = JSON.parse(this.responseText);
                    sadrzaj = "<tr><th>Knjiga</th><th>Pisac</th></tr>";
                    for (i = 0; i < sveKnjige.length; i++) {
                        sadrzaj += "<tr>";
                        sadrzaj += "<td>" + sveKnjige[i].naslov + "</td>";
                        sadrzaj += "<td>" + sveKnjige[i].pisac_id + "</td>";
                        sadrzaj += "</tr>";
                    }
                    document.getElementById("knjige").innerHTML = sadrzaj;
                }
            };

            xhttp.open("GET", putanja, true);
            xhttp.send();
        }
    </script>
</html>
